Index: general/genutils/imagemagick.xml
===================================================================
--- general/genutils/imagemagick.xml	(revision 4880184959e1a4c13ab10f96f9628590f9d0e226)
+++ general/genutils/imagemagick.xml	(revision 76353fbd48df1094dadafdb1e8ab27f737c453e2)
@@ -56,5 +56,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/audioutils/amarok.xml
===================================================================
--- multimedia/audioutils/amarok.xml	(revision 4880184959e1a4c13ab10f96f9628590f9d0e226)
+++ multimedia/audioutils/amarok.xml	(revision 76353fbd48df1094dadafdb1e8ab27f737c453e2)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -78,5 +78,5 @@
     <para role="required">
       <xref linkend="kdelibs"/>,
-      <xref linkend="mariadb"/> or <ulink url="http://www.mysql.com/">MySQL</ulink>, and
+      <xref linkend="mariadb"/>, and
       <xref linkend="taglib"/>
     </para>
@@ -93,7 +93,6 @@
       <xref linkend="openssl"/> (for MP3tunes integration),
       <xref linkend="qjson"/>,
-      <ulink url="&kde-download-http;&kde-version;/src/">nepomuk-core</ulink>,
-      <ulink url="http://kollide.net/~jefferai/">Taglib-extras</ulink>,
       <ulink url="http://code.google.com/p/clamz/">Clamz</ulink> (For Amazon integration),
+      <ulink url="http://code.google.com/p/googlemock/">Google Mock</ulink> (for tests),
       <ulink url="http://www.gtkpod.org/libgpod.html">libgpod</ulink> (for iPod support),
       <ulink url="https://github.com/lastfm/liblastfm">liblastfm</ulink> (for Last.fm integration),
@@ -102,6 +101,7 @@
       <ulink url="http://code.google.com/p/musicip-libofa">libofa</ulink> (for MusicDNS support),
       <ulink url="&gnome-download-http;/loudmouth">Loudmouth</ulink> (for MP3tunes integration),
+      <ulink url="&kde-download-http;&kde-version;/src/">Nepomuk-Core</ulink>,
       <ulink url="http://code.google.com/p/qtscriptgenerator/">qtscript-qt</ulink>, and
-      <ulink url="http://code.google.com/p/googlemock/">Google Mock</ulink> (for tests)
+      <ulink url="http://kollide.net/~jefferai/">Taglib-extras</ulink>
     </para>
 
Index: multimedia/audioutils/audacious.xml
===================================================================
--- multimedia/audioutils/audacious.xml	(revision 4880184959e1a4c13ab10f96f9628590f9d0e226)
+++ multimedia/audioutils/audacious.xml	(revision 76353fbd48df1094dadafdb1e8ab27f737c453e2)
@@ -43,5 +43,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -179,6 +179,5 @@
     </para>
 
-<screen><userinput>TPUT=/bin/true ./configure --prefix=/usr \
-                           --with-buildstamp="BLFS" &amp;&amp;
+<screen><userinput>TPUT=/bin/true ./configure --prefix=/usr --with-buildstamp="BLFS" &amp;&amp;
 make</userinput></screen>
 <!--
Index: multimedia/audioutils/freetts.xml
===================================================================
--- multimedia/audioutils/freetts.xml	(revision 4880184959e1a4c13ab10f96f9628590f9d0e226)
+++ multimedia/audioutils/freetts.xml	(revision 76353fbd48df1094dadafdb1e8ab27f737c453e2)
@@ -49,5 +49,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/audioutils/pnmixer.xml
===================================================================
--- multimedia/audioutils/pnmixer.xml	(revision 4880184959e1a4c13ab10f96f9628590f9d0e226)
+++ multimedia/audioutils/pnmixer.xml	(revision 76353fbd48df1094dadafdb1e8ab27f737c453e2)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/audioutils/vorbistools.xml
===================================================================
--- multimedia/audioutils/vorbistools.xml	(revision 4880184959e1a4c13ab10f96f9628590f9d0e226)
+++ multimedia/audioutils/vorbistools.xml	(revision 76353fbd48df1094dadafdb1e8ab27f737c453e2)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/alsa-firmware.xml
===================================================================
--- multimedia/libdriv/alsa-firmware.xml	(revision 4880184959e1a4c13ab10f96f9628590f9d0e226)
+++ multimedia/libdriv/alsa-firmware.xml	(revision 76353fbd48df1094dadafdb1e8ab27f737c453e2)
@@ -34,5 +34,5 @@
     </para>
 
-    &lfs75_built;
+    &lfs76_built;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/alsa-oss.xml
===================================================================
--- multimedia/libdriv/alsa-oss.xml	(revision 4880184959e1a4c13ab10f96f9628590f9d0e226)
+++ multimedia/libdriv/alsa-oss.xml	(revision 76353fbd48df1094dadafdb1e8ab27f737c453e2)
@@ -13,5 +13,5 @@
 ]>
 
-<sect1 id="alsa-oss" xreflabel="ALSA OSS-&alsa-oss-version;">
+<sect1 id="alsa-oss" xreflabel="alsa-oss-&alsa-oss-version;">
   <?dbhtml filename="alsa-oss.html"?>
 
@@ -21,5 +21,5 @@
   </sect1info>
 
-  <title>ALSA OSS-&alsa-oss-version;</title>
+  <title>alsa-oss-&alsa-oss-version;</title>
 
   <indexterm zone="alsa-oss">
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs75_built;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/alsa-tools.xml
===================================================================
--- multimedia/libdriv/alsa-tools.xml	(revision 4880184959e1a4c13ab10f96f9628590f9d0e226)
+++ multimedia/libdriv/alsa-tools.xml	(revision 76353fbd48df1094dadafdb1e8ab27f737c453e2)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs75_built;
+    &lfs76_built;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/xine-lib.xml
===================================================================
--- multimedia/libdriv/xine-lib.xml	(revision 4880184959e1a4c13ab10f96f9628590f9d0e226)
+++ multimedia/libdriv/xine-lib.xml	(revision 76353fbd48df1094dadafdb1e8ab27f737c453e2)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -67,5 +67,5 @@
     <bridgehead renderas="sect4">Required</bridgehead>
     <para role="required">
-      <xref linkend="x-window-system"/>,
+      <xref linkend="xorg7-lib"/>,
       <xref linkend="ffmpeg"/>, and at least one of:
         <xref linkend="alsa"/>,
Index: multimedia/videoutils/mplayer.xml
===================================================================
--- multimedia/videoutils/mplayer.xml	(revision 4880184959e1a4c13ab10f96f9628590f9d0e226)
+++ multimedia/videoutils/mplayer.xml	(revision 76353fbd48df1094dadafdb1e8ab27f737c453e2)
@@ -14,10 +14,10 @@
   <!ENTITY mplayer-time          "4 SBU (1.5 SBU using system-installed FFMpeg)">
 
-  <!ENTITY mplayer-skin          "Clearlooks-1.5">
+  <!ENTITY mplayer-skin          "Clearlooks-1.6">
   <!ENTITY mplayer-skin-download-http
            "http://www.mplayerhq.hu/MPlayer/skins/&mplayer-skin;.tar.bz2">
   <!ENTITY mplayer-skin-download-ftp
            "ftp://ftp.mplayerhq.hu/MPlayer/skins/&mplayer-skin;.tar.bz2">
-  <!ENTITY mplayer-skin-md5sum   "6b046a78fb15b243dc1eb5884276a750">
+  <!ENTITY mplayer-skin-md5sum   "f52b7592b8881021ec7ccb56ec455fba">
   <!ENTITY mplayer-skin-size     "40 KB">
 ]>
@@ -49,5 +49,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -134,5 +134,5 @@
     <note>
       <para>
-        Skins are only required to use the <application>Gtk+ 2</application>
+        Skins are only required to use the <application>GTK+ 2</application>
         user interface.
       </para>
@@ -265,6 +265,5 @@
       </para>
 
-<screen><userinput>
-patch -Np1 -i ../MPlayer-&mplayer-version;-giflib_fixes-1.patch &amp;&amp;
+<screen><userinput>patch -Np1 -i ../MPlayer-&mplayer-version;-giflib_fixes-1.patch &amp;&amp;
 patch -Np1 -i ../MPlayer-&mplayer-version;-live_fixes-1.patch   &amp;&amp;
 sed -i 's:libsmbclient.h:samba-4.0/&amp;:'      configure stream/stream_smb.c &amp;&amp;
@@ -301,7 +300,7 @@
       </para>
 
-<screen role="root"><userinput>install -v -m755 -d /usr/share/doc/mplayer-&mplayer-version; &amp;&amp;
-install -v -m644    DOCS/HTML/en/* \
-                    /usr/share/doc/mplayer-&mplayer-version;</userinput></screen>
+<screen role="root"><userinput>install -v -dm755 /usr/share/doc/mplayer-&mplayer-version; &amp;&amp;
+install -v -m644  DOCS/HTML/en/* \
+                  /usr/share/doc/mplayer-&mplayer-version;</userinput></screen>
 
       <para>
@@ -335,5 +334,5 @@
 
       <para>
-        To enable the Gtk+ 2 frontend of <application>MPlayer</application>,
+        To enable the GTK+ 2 frontend of <application>MPlayer</application>,
         you'll need to install at least one skin. Extract the desired skin and
         create the default location (as the
Index: multimedia/videoutils/transcode.xml
===================================================================
--- multimedia/videoutils/transcode.xml	(revision 4880184959e1a4c13ab10f96f9628590f9d0e226)
+++ multimedia/videoutils/transcode.xml	(revision 76353fbd48df1094dadafdb1e8ab27f737c453e2)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/videoutils/xine-ui.xml
===================================================================
--- multimedia/videoutils/xine-ui.xml	(revision 4880184959e1a4c13ab10f96f9628590f9d0e226)
+++ multimedia/videoutils/xine-ui.xml	(revision 76353fbd48df1094dadafdb1e8ab27f737c453e2)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/fltk.xml
===================================================================
--- x/lib/fltk.xml	(revision 4880184959e1a4c13ab10f96f9628590f9d0e226)
+++ x/lib/fltk.xml	(revision 76353fbd48df1094dadafdb1e8ab27f737c453e2)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -94,6 +94,4 @@
     <para role="required">
       <xref linkend="glu"/>
-      <xref linkend="mesalib"/>, and
-      <xref linkend="xorg7-lib"/>,
     </para>
 
@@ -102,5 +100,5 @@
       <xref linkend="desktop-file-utils"/>,
       <xref linkend="hicolor-icon-theme"/>, and
-      <xref linkend="libjpeg"/>,
+      <xref linkend="libjpeg"/>
     </para>
 
@@ -109,5 +107,5 @@
       <xref linkend="alsa-lib"/>,
       <xref linkend="doxygen"/>, and
-      <xref linkend="texlive"/>,
+      <xref linkend="texlive"/>
     </para>
 