Index: general.ent
===================================================================
--- general.ent	(revision 203240417aab1629c28ffabe8a0e7d4ffbee7442)
+++ general.ent	(revision 77460d7dd23cc4e1c329528943c46710559b2020)
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS systemd Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "August 3rd, &year;">
+<!ENTITY releasedate  "August 4th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "systemd">              <!-- svn|[release #] -->
Index: general/graphlib/freetype2.xml
===================================================================
--- general/graphlib/freetype2.xml	(revision 203240417aab1629c28ffabe8a0e7d4ffbee7442)
+++ general/graphlib/freetype2.xml	(revision 77460d7dd23cc4e1c329528943c46710559b2020)
@@ -121,10 +121,4 @@
   <sect2 role="installation">
     <title>Installation of FreeType2</title>
-
-    <note>
-    <para>When building the first time you must add
-      <parameter>--without-harfbuzz</parameter> to 
-      the below configure line.</para>
-    </note>
 
     <para>
Index: general/sysutils/which.xml
===================================================================
--- general/sysutils/which.xml	(revision 203240417aab1629c28ffabe8a0e7d4ffbee7442)
+++ general/sysutils/which.xml	(revision 77460d7dd23cc4e1c329528943c46710559b2020)
@@ -5,5 +5,7 @@
   %general-entities;
 
-  <!ENTITY which-download-http "http://www.xs4all.nl/~carlo17/which/which-&which-version;.tar.gz">
+<!--  <!ENTITY which-download-http "http://www.xs4all.nl/~carlo17/which/which-&which-version;.tar.gz">-->
+
+  <!ENTITY which-download-http "http:/ftp.gnu.org/gnu/which/which-&which-version;.tar.gz">
   <!ENTITY which-download-ftp  "ftp://ftp.gnu.org/gnu/which/which-&which-version;.tar.gz">
   <!ENTITY which-md5sum        "95be0501a466e515422cde4af46b2744">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 203240417aab1629c28ffabe8a0e7d4ffbee7442)
+++ introduction/welcome/changelog.xml	(revision 77460d7dd23cc4e1c329528943c46710559b2020)
@@ -49,13 +49,9 @@
       <itemizedlist>
         <listitem>
-          <para>[cjg] - Added note to freetype page. Fixes 
-          <ulink url="&blfs-ticket-root;5331">#5331</ulink>.</para>
-        </listitem>
-        <listitem>
-          <para>[name] - Another changelog entry.</para>
-        </listitem>
-      </itemizedlist>
-    </listitem>
-
+          <para>[igor] - Update to ffmpeg-2.3.1. Fixes
+          <ulink url="&blfs-ticket-root;5312">#5312</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: multimedia/videoutils/ffmpeg.xml
===================================================================
--- multimedia/videoutils/ffmpeg.xml	(revision 203240417aab1629c28ffabe8a0e7d4ffbee7442)
+++ multimedia/videoutils/ffmpeg.xml	(revision 77460d7dd23cc4e1c329528943c46710559b2020)
@@ -7,5 +7,5 @@
   <!ENTITY ffmpeg-download-http "http://ffmpeg.org/releases/ffmpeg-&ffmpeg-version;.tar.bz2">
   <!ENTITY ffmpeg-download-ftp  " ">
-  <!ENTITY ffmpeg-md5sum        "00f98a030d21366b6583875d57d98c27">
+  <!ENTITY ffmpeg-md5sum        "bb02e99c39941d7f3dc56658b9324a2b">
   <!ENTITY ffmpeg-size          "7.1 MB">
   <!ENTITY ffmpeg-buildsize     "119 MB (additional 764 MB for docs and 1813 MB to run the FATE tests)">
Index: packages.ent
===================================================================
--- packages.ent	(revision 203240417aab1629c28ffabe8a0e7d4ffbee7442)
+++ packages.ent	(revision 77460d7dd23cc4e1c329528943c46710559b2020)
@@ -656,5 +656,5 @@
 
 <!-- Chapter 40 -->
-<!ENTITY ffmpeg-version               "2.3">
+<!ENTITY ffmpeg-version               "2.3.1">
 <!ENTITY mplayer-version              "1.1.1">
 <!ENTITY xine-ui-version              "0.99.8">
Index: x/lib/qt5-systemd.xml
===================================================================
--- x/lib/qt5-systemd.xml	(revision 203240417aab1629c28ffabe8a0e7d4ffbee7442)
+++ x/lib/qt5-systemd.xml	(revision 77460d7dd23cc4e1c329528943c46710559b2020)
@@ -103,4 +103,5 @@
       <xref linkend="libpng"/>,
       <xref linkend="libtiff"/>,
+      <xref linkend="libxkbcommon"/>,
       <xref linkend="mtdev"/>,
       <xref linkend="openssl"/>,
@@ -115,7 +116,6 @@
       <xref linkend="gst10-plugins-base"/> (QtWebKit HTML5 Video Support),
       <xref linkend="gtk2"/> (GTK+ Theme Support),
-      <ulink url="https://code.google.com/p/ibus/">IBus</ulink>,
-      <ulink url="http://xkbcommon.org/">libxkbcommon</ulink>,
-      <xref linkend="mariadb"/> or <ulink url="http://www.mysql.com/">MySQL</ulink>,
+      <xref linkend="ibus"/>,
+      <xref linkend="mariadb"/>,
       <xref linkend="postgresql"/>,
       <xref linkend="pulseaudio"/>, and 