Index: general/prog/Jinja2-systemd.xml
===================================================================
--- general/prog/Jinja2-systemd.xml	(revision 1329d168e0f1df3e5df5f18a164f19ca34482146)
+++ general/prog/Jinja2-systemd.xml	(revision 77879af3fe06e16d9930276a79a1647ac7a820d9)
@@ -31,5 +31,5 @@
       </para>
 
-      &lfs75_checked;
+      &lfs76_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/MarkupSafe-systemd.xml
===================================================================
--- general/prog/MarkupSafe-systemd.xml	(revision 1329d168e0f1df3e5df5f18a164f19ca34482146)
+++ general/prog/MarkupSafe-systemd.xml	(revision 77879af3fe06e16d9930276a79a1647ac7a820d9)
@@ -31,5 +31,5 @@
       </para>
 
-      &lfs75_checked;
+      &lfs76_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/PyYAML-systemd.xml
===================================================================
--- general/prog/PyYAML-systemd.xml	(revision 1329d168e0f1df3e5df5f18a164f19ca34482146)
+++ general/prog/PyYAML-systemd.xml	(revision 77879af3fe06e16d9930276a79a1647ac7a820d9)
@@ -30,5 +30,5 @@
       </para>
 
-      &lfs75_checked;
+      &lfs76_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/bazaar.xml
===================================================================
--- general/prog/bazaar.xml	(revision 1329d168e0f1df3e5df5f18a164f19ca34482146)
+++ general/prog/bazaar.xml	(revision 77879af3fe06e16d9930276a79a1647ac7a820d9)
@@ -34,5 +34,5 @@
     helps track project history over time and collaborate with others.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/cvs.xml
===================================================================
--- general/prog/cvs.xml	(revision 1329d168e0f1df3e5df5f18a164f19ca34482146)
+++ general/prog/cvs.xml	(revision 77879af3fe06e16d9930276a79a1647ac7a820d9)
@@ -36,5 +36,5 @@
     creation of a repository is covered at <xref linkend="cvsserver"/>.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/doxygen.xml
===================================================================
--- general/prog/doxygen.xml	(revision 1329d168e0f1df3e5df5f18a164f19ca34482146)
+++ general/prog/doxygen.xml	(revision 77879af3fe06e16d9930276a79a1647ac7a820d9)
@@ -51,5 +51,5 @@
     </para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/mercurial.xml
===================================================================
--- general/prog/mercurial.xml	(revision 1329d168e0f1df3e5df5f18a164f19ca34482146)
+++ general/prog/mercurial.xml	(revision 77879af3fe06e16d9930276a79a1647ac7a820d9)
@@ -38,5 +38,5 @@
     Mozilla and Vim.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/php-systemd.xml
===================================================================
--- general/prog/php-systemd.xml	(revision 1329d168e0f1df3e5df5f18a164f19ca34482146)
+++ general/prog/php-systemd.xml	(revision 77879af3fe06e16d9930276a79a1647ac7a820d9)
@@ -5,5 +5,5 @@
   %general-entities;
 
-  <!ENTITY php-download-http "http://us2.php.net/distributions/php-&php-version;.tar.bz2">
+  <!ENTITY php-download-http "http://www.php.net/distributions/php-&php-version;.tar.bz2">
   <!ENTITY php-download-ftp  "ftp://ftp.isu.edu.tw/pub/Unix/Web/PHP/distributions/php-&php-version;.tar.bz2">
   <!ENTITY php-md5sum        "331a87fb27e100a88b3845d34582f769">
@@ -35,5 +35,5 @@
     general purpose scripting language.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/pyatspi2-systemd.xml
===================================================================
--- general/prog/pyatspi2-systemd.xml	(revision 1329d168e0f1df3e5df5f18a164f19ca34482146)
+++ general/prog/pyatspi2-systemd.xml	(revision 77879af3fe06e16d9930276a79a1647ac7a820d9)
@@ -34,5 +34,5 @@
       </para>
 
-      &lfs75_checked;
+      &lfs76_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>
Index: general/prog/setuptools-systemd.xml
===================================================================
--- general/prog/setuptools-systemd.xml	(revision 1329d168e0f1df3e5df5f18a164f19ca34482146)
+++ general/prog/setuptools-systemd.xml	(revision 77879af3fe06e16d9930276a79a1647ac7a820d9)
@@ -32,5 +32,5 @@
       </para>
 
-      &lfs75_checked;
+      &lfs76_checked;
 
       <bridgehead renderas="sect4">Package Information</bridgehead>