Index: gnome/config/config-core.xml
===================================================================
--- gnome/config/config-core.xml	(revision 84cf3abc8b1298923ecbb32d98eb3a571f95f6b7)
+++ gnome/config/config-core.xml	(revision 78051a36f79032fa620fc9885ad932e899baff4a)
@@ -1,15 +1,17 @@
 <sect1 id="gnome-core-config">
 <?dbhtml filename="config-core.html" dir="gnome"?>
-<title>Configuring the core GNOME packages</title>
+<title>Configuring the core <application>GNOME</application> packages</title>
 
 
-<para>Create an <filename>.xinitrc</filename> file to start GNOME:
-<screen><userinput>echo "exec gnome-session" &gt;&gt; ~/.xinitrc</userinput></screen>
+<para>Create an <filename>.xinitrc</filename> file to start
+<application>GNOME</application>:
+<screen><userinput><command>echo "exec gnome-session" &gt;&gt;
+~/.xinitrc</command></userinput></screen>
 and ensure all libraries can be found with:
-<screen><userinput>ldconfig</userinput></screen>
+<screen><userinput><command>ldconfig</command></userinput></screen>
 </para>
 
-<para>At this point you can bring up GNOME with
-<userinput>startx</userinput></para>
+<para>At this point you can bring up <application>GNOME</application> with
+<userinput><command>startx</command></userinput></para>
 
 </sect1>
Index: gnome/gnome-intro.xml
===================================================================
--- gnome/gnome-intro.xml	(revision 84cf3abc8b1298923ecbb32d98eb3a571f95f6b7)
+++ gnome/gnome-intro.xml	(revision 78051a36f79032fa620fc9885ad932e899baff4a)
@@ -1,4 +1,4 @@
 <partintro>
-<title>Introduction to GNOME</title>
+<title>Introduction to <application>GNOME</application></title>
 
 <para>This chapter attempts to install a complete GNOME-&gnome-version; desktop
@@ -6,5 +6,5 @@
 sufficient to run GNOME 1.4 applications included in this book. The
 order of the pages are meant to follow the build order defined by the
-GNOME development team as published in the <ulink
+<application>GNOME</application> development team as published in the <ulink
 url="http://www.gnome.org/start/&gnome-version;/notes/rninstallation.html">release notes</ulink>, with two exceptions.  If a package is in the release notes build list, but not in this chapter, it has been installed elsewhere in the book.</para>
 
@@ -12,12 +12,13 @@
 like to see you complete with the least amount of stress. One
 of our first goals in this installation is to protect your previously
-installed software, especially if you are testing GNOME on your machine.
+installed software, especially if you are testing
+<application>GNOME</application> on your machine.
 GNOME-&gnome-version; packages utilize the --prefix= option for configure, so we will
 use that and an Environment variable (<envar>GNOME_PREFIX</envar>) to add flexibility to 
 the install.</para>
 
-<para>If you know that you want GNOME as your desktop, it is recommended that
+<para>If you know that you want <application>GNOME</application> as your desktop, it is recommended that
 you install with --prefix=/usr. If you are not sure that you are going
-to keep GNOME on your installation, it is recommended that you install with 
+to keep <application>GNOME</application> on your installation, it is recommended that you install with 
 --prefix=/opt/gnome-&gnome-version;.  Setting the Environment variable and the
 additional edits required by the second option are covered on the
@@ -56,10 +57,16 @@
 have no interest in GNOME-&gnome-version;.</para>
 
-<para><screen>GNOME-&gnome-version; requires:
-<xref linkend="xfree86"/>, <xref linkend="GTK2"/>, <xref linkend="libpng"/>, 
-<xref linkend="libjpeg"/>, <xref linkend="libtiff"/>, <xref linkend="popt"/>
-Gnome-&gnome-version; will utilize:
-<xref linkend="libxml2"/>, <xref linkend="libxslt"/>, <xref linkend="DocBook"/>, 
-<xref linkend="docbook-xsl"/> and <xref linkend="libfam"/></screen></para>
+<para><application>GNOME-&gnome-version;</application> dependencies</para>
+<para>Required</para>
+<para><xref linkend="xfree86"/>, <xref linkend="GTK2"/>, <xref
+linkend="libpng"/>,
+<xref linkend="libjpeg"/>, <xref linkend="libtiff"/> and <xref
+linkend="popt"/></para>
+<para>Optional</para>
+<para><xref linkend="libxml2"/>, <xref linkend="libxslt"/>, <xref
+linkend="DocBook"/>,
+<xref linkend="docbook-xsl"/> and <xref linkend="libfam"/></para>
+
+
 
 </partintro>
Index: gnome/lib/gtk-doc/gtk-doc-desc.xml
===================================================================
--- gnome/lib/gtk-doc/gtk-doc-desc.xml	(revision 84cf3abc8b1298923ecbb32d98eb3a571f95f6b7)
+++ gnome/lib/gtk-doc/gtk-doc-desc.xml	(revision 78051a36f79032fa620fc9885ad932e899baff4a)
@@ -3,12 +3,12 @@
 
 <para>The gtk-doc package contains
-<userinput>gtkdoc-fixxref</userinput>,
-<userinput>gtkdoc-mkdb</userinput>,
-<userinput>gtkdoc-mkhtml</userinput>,
-<userinput>gtkdoc-mkman</userinput>,
-<userinput>gtkdoc-mktmpl</userinput>,
-<userinput>gtkdoc-scan</userinput>,
-<userinput>gtkdoc-scangobj</userinput> and
-<userinput>gtkdoc-scanobj</userinput>.</para>
+<command>gtkdoc-fixxref</command>,
+<command>gtkdoc-mkdb</command>,
+<command>gtkdoc-mkhtml</command>,
+<command>gtkdoc-mkman</command>,
+<command>gtkdoc-mktmpl</command>,
+<command>gtkdoc-scan</command>,
+<command>gtkdoc-scangobj</command> and
+<command>gtkdoc-scanobj</command>.</para>
 
 </sect2>
Index: gnome/lib/gtk-doc/gtk-doc-inst.xml
===================================================================
--- gnome/lib/gtk-doc/gtk-doc-inst.xml	(revision 84cf3abc8b1298923ecbb32d98eb3a571f95f6b7)
+++ gnome/lib/gtk-doc/gtk-doc-inst.xml	(revision 78051a36f79032fa620fc9885ad932e899baff4a)
@@ -1,9 +1,9 @@
 <sect2>
-<title>Installation of gtk-doc</title>
+<title>Installation of <application>gtk-doc</application></title>
 
-<para>Install gtk-doc by running the following commands:</para>
+<para>Install <application>gtk-doc</application> by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/usr &amp;&amp;
-make install</userinput></screen></para>
+<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
+make install</command></userinput></screen>
 
 <para>You should either save <filename>png-support-3.1.dtd</filename> to
Index: gnome/lib/gtk-doc/gtk-doc-intro.xml
===================================================================
--- gnome/lib/gtk-doc/gtk-doc-intro.xml	(revision 84cf3abc8b1298923ecbb32d98eb3a571f95f6b7)
+++ gnome/lib/gtk-doc/gtk-doc-intro.xml	(revision 78051a36f79032fa620fc9885ad932e899baff4a)
@@ -1,14 +1,4 @@
 <sect2>
 <title>Introduction to gtk-doc</title>
-
-<screen>Download location (HTTP):       <ulink url="&gtk-doc-download-http;"/>
-Download location (FTP):        <ulink url="&gtk-doc-download-ftp;"/>
-Version used:                   &gtk-doc-version;
-Package size:                   &gtk-doc-size;
-Estimated Disk space required:  &gtk-doc-buildsize;</screen>
-
-<screen>Additional downloads:
-<ulink url="http://www.labs.redhat.com/png/png-support-3.1.dtd">png-support-3.1.dtd</ulink>
-</screen>
 
 <para>The gtk-doc package contains a code documentor. This is useful for
@@ -16,11 +6,34 @@
 documentation.  This package is <emphasis>optional</emphasis>, if it is not
 installed, packages will not build the documentation. This does not mean
-that you will not have any documentation, if gtk-doc is not available, the 
+that you will not have any documentation, if gtk-doc is not available, the
 install process will copy pre-built documentation to your system.
 </para>
 
-<screen>gtk-doc depends on:
-<xref linkend="openjade"/>, <xref linkend="libxslt"/>, <xref linkend="DocBook"/>, 
-<xref linkend="sgml-dtd-3"/> and <xref linkend="sgml-dtd"/></screen>
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&gtk-doc-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&gtk-doc-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &gtk-doc-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&gtk-doc-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&gtk-doc-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title>Additional downloads:</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Required download:</para></listitem>
+<listitem><para><ulink
+url="http://www.labs.redhat.com/png/png-support-3.1.dtd">png-support-3.1.dtd</ulink></para></listitem></itemizedlist></sect3>
+
+<sect3><title><application>template</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="openjade"/>, <xref linkend="libxslt"/>, <xref
+linkend="DocBook"/>,
+<xref linkend="sgml-dtd-3"/> and <xref linkend="sgml-dtd"/></para></sect4>
+</sect3>
+
 
 </sect2>
Index: gnome/lib/gtk-doc/gtk-doc.ent
===================================================================
--- gnome/lib/gtk-doc/gtk-doc.ent	(revision 84cf3abc8b1298923ecbb32d98eb3a571f95f6b7)
+++ gnome/lib/gtk-doc/gtk-doc.ent	(revision 78051a36f79032fa620fc9885ad932e899baff4a)
@@ -10,2 +10,3 @@
 <!ENTITY gtk-doc-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gtk-doc/1.0/gtk-doc-1.0.tar.bz2">
 <!ENTITY gtk-doc-size "120 KB">
+<!ENTITY gtk-doc-time "">
Index: gnome/lib/lib-config.xml
===================================================================
--- gnome/lib/lib-config.xml	(revision 84cf3abc8b1298923ecbb32d98eb3a571f95f6b7)
+++ gnome/lib/lib-config.xml	(revision 78051a36f79032fa620fc9885ad932e899baff4a)
@@ -4,8 +4,8 @@
 
 <para>Set an Environment variable to resolve the prefix destination.</para>  
-<para>If Gnome is your desktop of choice:
-<screen>export GNOME_PREFIX=/usr</screen>
-If you want to try-out Gnome:
-<screen>export GNOME_PREFIX=/opt/gnome-&gnome-version;</screen></para>
+<para>If <application>GNOME</application> is your desktop of choice:
+<screen><userinput><command>export GNOME_PREFIX=/usr</command></userinput></screen>
+If you want to try-out <application>GNOME</application>:
+<screen><userinput><command>export GNOME_PREFIX=/opt/gnome-&gnome-version;</command></userinput></screen></para>
 
 <para>The try-out group will also need to make all the following
@@ -14,11 +14,11 @@
 <para>Add to your system or personal profile:</para>
 
-<para><screen>export PATH=$PATH:/opt/gnome-&gnome-version;/bin
+<screen><userinput><command>export PATH=$PATH:/opt/gnome-&gnome-version;/bin
 export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/opt/gnome-&gnome-version;/lib/pkgconfig
-export GNOME_LIBCONFIG_PATH=/usr/lib</screen></para>
+export GNOME_LIBCONFIG_PATH=/usr/lib</command></userinput></screen>
 
 <para>Add to your <filename>/etc/ld.so.conf</filename>:</para>
 
-<para><screen><userinput>cat &gt;&gt; /etc/ld.so.conf &lt;&lt; "EOF"</userinput>
+<screen><userinput><command>cat &gt;&gt; /etc/ld.so.conf &lt;&lt; "EOF"</command>
 # Begin gnome addition to /etc/ld.so.conf
 
@@ -26,9 +26,9 @@
 
 # End gnome addition
-<userinput>EOF</userinput></screen></para>
+<command>EOF</command></userinput></screen>
 
 <para>Add to your <filename>/etc/man.conf</filename>:</para>
 
-<para><screen><userinput>cat &gt;&gt; /etc/man.conf &lt;&lt; "EOF"</userinput>
+<screen><userinput><command>cat &gt;&gt; /etc/man.conf &lt;&lt; "EOF"</command>
 # Begin gnome addition to man.conf
 
@@ -36,5 +36,5 @@
 
 # END gnome addition to man.conf
-<userinput>EOF</userinput></screen></para>
+<command>EOF</command></userinput></screen>
 
 </sect1>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 84cf3abc8b1298923ecbb32d98eb3a571f95f6b7)
+++ introduction/welcome/changelog.xml	(revision 78051a36f79032fa620fc9885ad932e899baff4a)
@@ -11,4 +11,7 @@
 <itemizedlist>
 
+<listitem><para>August 28, 2003 [larry]: updated to intro of gtk-doc and
+openjade. Typos.</para></listitem>
+
 <listitem><para>August 28, 2003  [larry]: updated to
 ruby-1.8.0</para></listitem>