Index: networking/netprogs/wget.xml
===================================================================
--- networking/netprogs/wget.xml	(revision e5b9fc7369e3da45807c850fe5e74a46f8bb548e)
+++ networking/netprogs/wget.xml	(revision 78865d97e3e88e7f257d381414b6bd5d36de235b)
@@ -5,6 +5,8 @@
   %general-entities;
 
-  <!ENTITY wget-download-http "http://ftp.gnu.org/gnu/wget/wget-&wget-version;.tar.xz">
-  <!ENTITY wget-download-ftp  "ftp://ftp.gnu.org/gnu/wget/wget-&wget-version;.tar.xz">
+  <!ENTITY wget-download-http
+    "http://ftp.gnu.org/gnu/wget/wget-&wget-version;.tar.xz">
+  <!ENTITY wget-download-ftp
+    "ftp://ftp.gnu.org/gnu/wget/wget-&wget-version;.tar.xz">
   <!ENTITY wget-md5sum        "7f518b3a71e9efd330e9a0c3714f8463">
   <!ENTITY wget-size          "1.4 MB">
@@ -30,28 +32,42 @@
     <title>Introduction to Wget</title>
 
-    <para>The <application>Wget</application> package contains a utility useful
-    for non-interactive downloading of files from the Web.</para>
+    <para>
+      The <application>Wget</application> package contains a utility useful for
+      non-interactive downloading of files from the Web.
+    </para>
 
-    &lfs70_checked;
+    &lfs71_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>
-        <para>Download (HTTP): <ulink url="&wget-download-http;"/></para>
+        <para>
+          Download (HTTP): <ulink url="&wget-download-http;"/>
+        </para>
       </listitem>
       <listitem>
-        <para>Download (FTP): <ulink url="&wget-download-ftp;"/></para>
+        <para>
+          Download (FTP): <ulink url="&wget-download-ftp;"/>
+        </para>
       </listitem>
       <listitem>
-        <para>Download MD5 sum: &wget-md5sum;</para>
+        <para>
+          Download MD5 sum: &wget-md5sum;
+        </para>
       </listitem>
       <listitem>
-        <para>Download size: &wget-size;</para>
+        <para>
+          Download size: &wget-size;
+        </para>
       </listitem>
       <listitem>
-        <para>Estimated disk space required: &wget-buildsize;</para>
+        <para>
+          Estimated disk space required: &wget-buildsize;
+        </para>
       </listitem>
       <listitem>
-        <para>Estimated build time: &wget-time;</para>
+        <para>
+          Estimated build time: &wget-time;
+        </para>
       </listitem>
     </itemizedlist>
@@ -60,12 +76,15 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="openssl"/> or <xref linkend="gnutls"/>,
-    <xref linkend="libidn"/>, Perl Module HTTP::Server (for the test suite) 
-    (see the standard Perl <xref linkend="perl-standard-install"/>), and
-    <ulink url="http://www.inet.no/dante/">Dante</ulink></para>
+    <para role="optional">
+      <xref linkend="openssl"/> or <xref linkend="gnutls"/>,
+      <xref linkend="libidn"/>,
+      Perl Module HTTP::Server (for the test suite: see the standard Perl
+      <xref linkend="perl-standard-install"/>) and
+      <ulink url="http://www.inet.no/dante/">Dante</ulink>
+    </para>
 
-    <para condition="html" role="usernotes">User Notes:
-    <ulink url="&blfs-wiki;/wget"/></para>
-
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/wget"/>
+    </para>
   </sect2>
 
@@ -73,18 +92,22 @@
     <title>Installation of Wget</title>
 
-    <para>Install <application>Wget</application> by running the following
-    commands:</para>
+    <para>
+      Install <application>Wget</application> by running the following commands:
+    </para>
 
-<screen><userinput>./configure --prefix=/usr     \
-            --sysconfdir=/etc \
+<screen><userinput>./configure --prefix=/usr      \
+            --sysconfdir=/etc  \
             --with-ssl=openssl &amp;&amp;
 make</userinput></screen>
 
-    <para>To test the results, issue: <command>make check</command>.</para>
+    <para>
+      To test the results, issue: <command>make check</command>.
+    </para>
 
-    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
 
 <screen role="root"><userinput>make install</userinput></screen>
-
   </sect2>
 
@@ -92,12 +115,15 @@
     <title>Command Explanations</title>
 
-    <para><parameter>--sysconfdir=/etc</parameter>: This relocates
-    the configuration file from <filename class="directory">/usr/etc</filename> to
-    <filename class="directory">/etc</filename>.</para>
+    <para>
+      <parameter>--sysconfdir=/etc</parameter>: This relocates the configuration
+      file from <filename class="directory">/usr/etc</filename> to
+      <filename class="directory">/etc</filename>.
+    </para>
 
-    <para><parameter>--with-ssl=openssl</parameter>: This allows the program to
-    work with <xref linkend="openssl"/>.  It can be omitted if <xref linkend="gnutls"/>
-    is found or the https protocol is not needed. </para>
-
+    <para>
+      <parameter>--with-ssl=openssl</parameter>: This allows the program to work
+      with <xref linkend="openssl"/>. It can be omitted if
+      <xref linkend="gnutls"/> is found or the https protocol is not needed. 
+    </para>
   </sect2>
 
@@ -108,6 +134,8 @@
       <title>Config Files</title>
 
-      <para><filename>/etc/wgetrc</filename> and
-      <filename>~/.wgetrc</filename></para>
+      <para>
+        <filename>/etc/wgetrc</filename> and
+        <filename>~/.wgetrc</filename>
+      </para>
 
       <indexterm zone="wget wget-config">
@@ -119,8 +147,12 @@
       </indexterm>
 
-      <para>There are no changes required to these files.</para>
+      <para>
+        If you have installed the <xref linkend="cacerts"/> and you want
+        <application>Wget</application> to use them, as the
+        <systemitem class="username">root</systemitem> user:
+      </para>
 
+<screen role="root"><userinput>echo ca-directory=/etc/ssl/certs >> /etc/wgetrc</userinput></screen>
     </sect3>
-
   </sect2>
 
@@ -130,11 +162,7 @@
     <segmentedlist>
       <segtitle>Installed Program</segtitle>
-      <segtitle>Installed Libraries</segtitle>
-      <segtitle>Installed Directories</segtitle>
 
       <seglistitem>
         <seg>wget</seg>
-        <seg>None</seg>
-        <seg>None</seg>
       </seglistitem>
     </segmentedlist>
@@ -148,7 +176,9 @@
         <term><command>wget</command></term>
         <listitem>
-          <para> retrieves files from the Web using the HTTP, HTTPS and
-          FTP protocols.  It is designed to be non-interactive, for
-          background or unattended operations.</para>
+          <para>
+            retrieves files from the Web using the HTTP, HTTPS and FTP
+            protocols.  It is designed to be non-interactive, for background or
+            unattended operations.
+          </para>
           <indexterm zone="wget wget-prog">
             <primary sortas="b-wget">wget</primary>
@@ -156,8 +186,5 @@
         </listitem>
       </varlistentry>
-
     </variablelist>
-
   </sect2>
-
 </sect1>