Index: general.ent
===================================================================
--- general.ent	(revision 8733e8e3b561f7b75214f9719472d5138e0797d1)
+++ general.ent	(revision 79904cf61731b8945692ce4904ddbcab577249d9)
@@ -377,5 +377,5 @@
 <!ENTITY gc-version                   "7.4.0">
 <!ENTITY gdb-version                  "7.7">
-<!ENTITY git-version                  "1.8.5.3">
+<!ENTITY git-version                  "1.8.5.4">
 <!ENTITY guile-version                "2.0.9">
 <!ENTITY librep-version               "0.92.3">
@@ -573,5 +573,5 @@
 <!ENTITY pangomm-version              "2.34.0">
 <!ENTITY qt4-version                  "4.8.5">
-<!ENTITY qt5-version                  "5.2.0">
+<!ENTITY qt5-version                  "5.2.1">
 <!ENTITY shared-mime-info-version     "1.2">
 <!ENTITY startup-notification-version "0.12">
Index: general/prog/git.xml
===================================================================
--- general/prog/git.xml	(revision 8733e8e3b561f7b75214f9719472d5138e0797d1)
+++ general/prog/git.xml	(revision 79904cf61731b8945692ce4904ddbcab577249d9)
@@ -9,8 +9,8 @@
   <!ENTITY git-download-http "&git-root;/git-&git-version;.tar.xz">
   <!ENTITY git-download-ftp  " ">
-  <!ENTITY git-md5sum        "2a8a515c3e69e26d5e027aec7c9e9150">
+  <!ENTITY git-md5sum        "d9ded03c71c4cd2eafa38a6f74b69870">
   <!ENTITY git-size          "3.2 MB">
-  <!ENTITY git-buildsize     "190 MB (additional 14 MB with downloaded docs and man pages, or 24 MB building docs and man pages)">
-  <!ENTITY git-time          "0.7 SBU (additional 8 SBU for tests and 2.7 SBU
+  <!ENTITY git-buildsize     "190 MB (additional 15 MB with downloaded docs and man pages, or 24 MB building docs and man pages)">
+  <!ENTITY git-time          "0.7 SBU (additional 4.7 SBU for tests and 2.6 SBU
                               for docs and man creation)">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 8733e8e3b561f7b75214f9719472d5138e0797d1)
+++ introduction/welcome/changelog.xml	(revision 79904cf61731b8945692ce4904ddbcab577249d9)
@@ -48,5 +48,17 @@
       <itemizedlist>
         <listitem>
-          <para>[fernando] - Update to MesaLib-10.0.3, split GLU. Fixes
+          <para>[fernando] - Qt4 - Method 2: Installing in /opt/qt-4.8.5. Fixes
+          <ulink url="&blfs-ticket-root;4669">#4669</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to qt-5.2.1. Thanks Armin K. Fixes
+          <ulink url="&blfs-ticket-root;4659">#4659</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to git-1.8.5.4. Fixes
+          <ulink url="&blfs-ticket-root;4666">#4666</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[igor] - Update to MesaLib-10.0.3, split GLU. Fixes
           <ulink url="&blfs-ticket-root;4546">#4546</ulink>.</para>
         </listitem>
Index: x/lib/qt4.xml
===================================================================
--- x/lib/qt4.xml	(revision 8733e8e3b561f7b75214f9719472d5138e0797d1)
+++ x/lib/qt4.xml	(revision 79904cf61731b8945692ce4904ddbcab577249d9)
@@ -327,5 +327,5 @@
 export QTDIR=/opt/qt-&qt4-version;
 
-./configure -prefix $QTDIR       \
+./configure -prefix     $QTDIR   \
             -sysconfdir /etc/xdg \
             -confirm-license     \
@@ -350,6 +350,5 @@
     </para>
 
-<screen role="root"><userinput>make install              &amp;&amp;
-ln -svfn qt-&qt4-version; /opt/qt &amp;&amp;
+<screen role="root"><userinput>make install &amp;&amp;
 
 install -v -Dm644 src/gui/dialogs/images/qtlogo-64.png \
@@ -377,4 +376,17 @@
 
 unset file</userinput></screen>
+
+    <para>
+      Symlink the <application>Qt4</application> executables into
+      <filename class="directory">/usr/bin</filename> by running the
+      following commands as the
+      <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>ln -svf $QTDIR /opt/qt &amp;&amp;
+
+for file in /opt/qt/bin/*; do
+  ln -sfvn $file /usr/bin/$(basename $file)-qt4
+done</userinput></screen>
 
   </sect2>
Index: x/lib/qt5.xml
===================================================================
--- x/lib/qt5.xml	(revision 8733e8e3b561f7b75214f9719472d5138e0797d1)
+++ x/lib/qt5.xml	(revision 79904cf61731b8945692ce4904ddbcab577249d9)
@@ -10,5 +10,5 @@
   <!ENTITY qt5-download-http "&qt5-url;/qt-everywhere-opensource-src-&qt5-version;.tar.xz">
   <!ENTITY qt5-download-ftp  " ">
-  <!ENTITY qt5-md5sum        "8f60b47ca9461831d940f579ee90517e">
+  <!ENTITY qt5-md5sum        "0c8d2aa45f38be9c3f7c9325eb059d9d">
   <!ENTITY qt5-size          "166 MB">
   <!ENTITY qt5-buildsize     "2.6 GB (160 MB installed)">
@@ -97,6 +97,6 @@
       <xref linkend="dbus"/>,
       <xref linkend="glib2"/>,
-      <xref linkend="gst-plugins-base"/>,
-      <xref linkend="harfbuzz"/>,
+      <xref linkend="gst-plugins-base"/>,<!--
+      <xref linkend="harfbuzz"/>, Doesn't have all the features that the shipped one has. -->
       <xref linkend="icu"/>,
       <xref linkend="libjpeg"/>,
@@ -104,4 +104,5 @@
       <xref linkend="libpng"/>,
       <xref linkend="libtiff"/>,
+      <xref linkend="mtdev"/>,
       <xref linkend="openssl"/>,
       <xref linkend="pcre"/>, and
@@ -111,6 +112,8 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
+      <xref linkend="geoclue"/>,
       <xref linkend="gst10-plugins-base"/> (QtWebKit HTML5 Video Support),
       <xref linkend="gtk2"/> (GTK+ Theme Support),
+      <ulink url="https://code.google.com/p/ibus/">IBus</ulink>,
       <ulink url="http://xkbcommon.org/">libxkbcommon</ulink>,
       <xref linkend="mariadb"/> or <xref linkend="mysql"/>,
@@ -214,4 +217,7 @@
     </para>
 
+    <!-- This is rather a bad idea. Most apps that I've seen using Qt5 look for -qt5
+         suffixed programs.
+
     <note>
       <para>
@@ -219,11 +225,7 @@
         into the /usr directory, change the entry for -bindir below to /usr/bin.
       </para>
-    </note>
-
-<screen><userinput>sed -e "s:#if MNG:#if defined(MNG_VERSION_MAJOR)\n&amp;:" \
-    -e "s:#endif:&amp;\n#endif:" \
-    -i qtimageformats/config.tests/libmng/libmng.cpp
-
-./configure -prefix         /usr               \
+    </note> -->
+
+<screen><userinput>./configure -prefix         /usr               \
             -sysconfdir     /etc/xdg           \
             -bindir         /usr/lib/qt5/bin   \
@@ -237,6 +239,6 @@
             -opensource        \
             -dbus-linked       \
-            -openssl-linked    \
-            -system-harfbuzz   \
+            -openssl-linked    \<!--
+            -system-harfbuzz   \-->
             -system-sqlite     \
             -no-nis            \
@@ -284,5 +286,5 @@
 
     <para>
-      If you didn't modify the -bindir switch above, symlink the
+      <!-- If you didn't modify the -bindir switch above, -->Symlink the
       <application>Qt5</application> executables into
       <filename class="directory">/usr/bin</filename> by running the
@@ -310,9 +312,5 @@
     </para>
 
-<screen><userinput>sed -e "s:#if MNG:#if defined(MNG_VERSION_MAJOR)\n&amp;:" \
-    -e "s:#endif:&amp;\n#endif:" \
-    -i qtimageformats/config.tests/libmng/libmng.cpp
-
-QT5DIR=/opt/qt-&qt5-version;
+<screen><userinput>export QT5DIR=/opt/qt-&qt5-version;
 
 ./configure -prefix     $QT5DIR  \
@@ -321,6 +319,6 @@
             -opensource          \
             -dbus-linked         \
-            -openssl-linked      \
-            -system-harfbuzz     \
+            -openssl-linked      \<!--
+            -system-harfbuzz     \-->
             -system-sqlite       \
             -no-nis              \