Index: general/genlib/gobject-introspection.xml
===================================================================
--- general/genlib/gobject-introspection.xml	(revision e78637dae1507342dabaf50036f0503b3e492c96)
+++ general/genlib/gobject-introspection.xml	(revision 80720f4afa7a0bf3ec459690d819c39a5ee0aa69)
@@ -9,7 +9,7 @@
   <!ENTITY gobject-introspection-download-ftp
     "&gnome-download-ftp;/gobject-introspection/1.60/gobject-introspection-&gobject-introspection-version;.tar.xz">
-  <!ENTITY gobject-introspection-md5sum        "46fc8a98f6563e64947ac3d574632525">
+  <!ENTITY gobject-introspection-md5sum        "57c1c5dcf3d0a9aa73d06c2d5e6960d7">
   <!ENTITY gobject-introspection-size          "1.2 MB">
-  <!ENTITY gobject-introspection-buildsize     "56 MB (with tests)">
+  <!ENTITY gobject-introspection-buildsize     "42 MB (with tests)">
   <!ENTITY gobject-introspection-time          "0.2 SBU (Using parallelism=4; with tests)">
 ]>
@@ -113,8 +113,6 @@
     <para>
       To test the results, issue: <command>ninja test -k0</command>.
-      One test fails if the optional Markdown module is not installed.
-      <!--One test, Regress-1.0.gir, is known to fail with glibc-2.28.-->
-      <!-- This worked fine in 2.27, but is broken again in 2.28. -->
-      <!-- This works again with glibc 2.28 and gi 1.58.0 -->
+      One test (test_docwriter) fails if the optional Markdown module is 
+      not installed.
     </para>
 
Index: general/genlib/libssh2.xml
===================================================================
--- general/genlib/libssh2.xml	(revision e78637dae1507342dabaf50036f0503b3e492c96)
+++ general/genlib/libssh2.xml	(revision 80720f4afa7a0bf3ec459690d819c39a5ee0aa69)
@@ -7,7 +7,7 @@
   <!ENTITY libssh2-download-http "https://www.libssh2.org/download/libssh2-&libssh2-version;.tar.gz">
   <!ENTITY libssh2-download-ftp  " ">
-  <!ENTITY libssh2-md5sum        "616efd99af3d9ef731a26bed6cee9593">
-  <!ENTITY libssh2-size          "840 KB">
-  <!ENTITY libssh2-buildsize     "12 MB (with tests)">
+  <!ENTITY libssh2-md5sum        "1beefafe8963982adc84b408b2959927">
+  <!ENTITY libssh2-size          "868 KB">
+  <!ENTITY libssh2-buildsize     "13 MB (with tests)">
   <!ENTITY libssh2-time          "0.2 SBU (with tests)">
 ]>
Index: general/prog/guile.xml
===================================================================
--- general/prog/guile.xml	(revision e78637dae1507342dabaf50036f0503b3e492c96)
+++ general/prog/guile.xml	(revision 80720f4afa7a0bf3ec459690d819c39a5ee0aa69)
@@ -7,8 +7,8 @@
   <!ENTITY guile-download-http "&gnu-http;/guile/guile-&guile-version;.tar.xz">
   <!ENTITY guile-download-ftp  "&gnu-ftp;/guile/guile-&guile-version;.tar.xz">
-  <!ENTITY guile-md5sum        "d2ee223fdb7570b68469e339a7074d1d">
-  <!ENTITY guile-size          "10.3 MB">
-  <!ENTITY guile-buildsize     "247 MB (with tests)">
-  <!ENTITY guile-time          "5.3 SBU (with tests)">
+  <!ENTITY guile-md5sum        "e946a685e782685f6ebb97026131a315">
+  <!ENTITY guile-size          "10.4 MB">
+  <!ENTITY guile-buildsize     "181 MB (with tests)">
+  <!ENTITY guile-time          "3.2 SBU (Using parallelism=4; with tests)">
 ]>
 
Index: general/prog/rust.xml
===================================================================
--- general/prog/rust.xml	(revision e78637dae1507342dabaf50036f0503b3e492c96)
+++ general/prog/rust.xml	(revision 80720f4afa7a0bf3ec459690d819c39a5ee0aa69)
@@ -43,5 +43,5 @@
       This package is updated on a six-weekly release cycle. Because it is
       such a large and slow package to build, and is at the moment only required
-      by five packages in this book, the BLFS editors take the view that it
+      by a few packages in this book, the BLFS editors take the view that it
       should only be updated when that is necessary (either to fix problems,
       or to allow a new version of <application>firefox</application> to build).
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision e78637dae1507342dabaf50036f0503b3e492c96)
+++ introduction/welcome/changelog.xml	(revision 80720f4afa7a0bf3ec459690d819c39a5ee0aa69)
@@ -46,4 +46,24 @@
       <para>July 3rd, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to libssh2-1.9.0. Fixes
+          <ulink url="&blfs-ticket-root;12182">#12182</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to guile-2.2.6. Fixes
+          <ulink url="&blfs-ticket-root;12179">#12179</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gobject-introspection-1.60.2. Fixes
+          <ulink url="&blfs-ticket-root;12162">#12162</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to whois-5.4.3. Fixes
+          <ulink url="&blfs-ticket-root;12153">#12153</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to stunnel-5.55. Fixes
+          <ulink url="&blfs-ticket-root;12139">#12139</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[timtas] - Update to xfce4-terminal-0.8.8. Fixes
Index: networking/netutils/whois.xml
===================================================================
--- networking/netutils/whois.xml	(revision e78637dae1507342dabaf50036f0503b3e492c96)
+++ networking/netutils/whois.xml	(revision 80720f4afa7a0bf3ec459690d819c39a5ee0aa69)
@@ -7,5 +7,5 @@
   <!ENTITY whois-download-http "https://github.com/rfc1036/whois/archive/v&whois-version;/whois-&whois-version;.tar.gz">
   <!ENTITY whois-download-ftp  " ">
-  <!ENTITY whois-md5sum        "e7fce43576e9a3a3f20bef04d7941a8a">
+  <!ENTITY whois-md5sum        "381dce8db7c6e38ef013b5d6527f494c">
   <!ENTITY whois-size          "100 KB">
   <!ENTITY whois-buildsize     "1.2 MB">
Index: packages.ent
===================================================================
--- packages.ent	(revision e78637dae1507342dabaf50036f0503b3e492c96)
+++ packages.ent	(revision 80720f4afa7a0bf3ec459690d819c39a5ee0aa69)
@@ -41,5 +41,5 @@
 <!ENTITY shadow-version               "4.7">
 <!ENTITY ssh-askpass-version          "&openssh-version;">
-<!ENTITY stunnel-version              "5.54">
+<!ENTITY stunnel-version              "5.55">
 <!ENTITY sudo-version                 "1.8.27">
 <!ENTITY tripwire-version             "2.4.3.7">
@@ -104,5 +104,5 @@
 <!ENTITY gmime-version                "2.6.23">
 <!ENTITY gmime3-version               "3.2.3">
-<!ENTITY gobject-introspection-version "1.60.1">
+<!ENTITY gobject-introspection-version "1.60.2">
 <!ENTITY grantlee-version             "5.1.0">
 <!ENTITY gsl-version                  "2.5">
@@ -155,5 +155,5 @@
 <!ENTITY libsigc-version              "2.10.2">
 <!ENTITY libsigsegv-version           "2.12">
-<!ENTITY libssh2-version              "1.8.2">
+<!ENTITY libssh2-version              "1.9.0">
 <!ENTITY libstatgrab-version          "0.91">
 <!ENTITY libtasn1-version             "4.13">
@@ -323,5 +323,5 @@
 <!ENTITY gdb-version                  "8.3">
 <!ENTITY git-version                  "2.22.0">
-<!ENTITY guile-version                "2.2.4">
+<!ENTITY guile-version                "2.2.6">
 <!ENTITY librep-version               "0.92.7">
 <!ENTITY llvm-version                 "8.0.0">
@@ -568,5 +568,5 @@
 <!ENTITY nmap-version                 "7.70">
 <!ENTITY traceroute-version           "2.1.0">
-<!ENTITY whois-version                "5.4.2">
+<!ENTITY whois-version                "5.4.3">
 <!ENTITY wicd-version                 "1.7.4">
 <!ENTITY wireshark-version            "3.0.1">  <!-- even minors only -->
Index: postlfs/security/stunnel.xml
===================================================================
--- postlfs/security/stunnel.xml	(revision e78637dae1507342dabaf50036f0503b3e492c96)
+++ postlfs/security/stunnel.xml	(revision 80720f4afa7a0bf3ec459690d819c39a5ee0aa69)
@@ -10,5 +10,5 @@
   <!-- Following ftp only has later release -->
 <!--   "ftp://ftp.stunnel.org/stunnel/stunnel-&stunnel-version;.tar.gz"> -->
-  <!ENTITY stunnel-md5sum        "788358cf84f71f9603e9fe93807c081d">
+  <!ENTITY stunnel-md5sum        "7b41592034ede114e8c4e058fc8c238b">
   <!ENTITY stunnel-size          "964 KB">
   <!ENTITY stunnel-buildsize     "7.5 MB">