Index: archive/beaker.xml
===================================================================
--- archive/beaker.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
+++ archive/beaker.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -0,0 +1,145 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY Beaker-download-http "&pymodules-dl;/B/Beaker/Beaker-&Beaker-version;.tar.gz">
+  <!ENTITY Beaker-download-ftp  " ">
+  <!ENTITY Beaker-md5sum        "c07254713337b7a1b404ef37ad880b07">
+  <!ENTITY Beaker-size          "44 KB">
+  <!ENTITY Beaker-buildsize     "916 KB">
+  <!ENTITY Beaker-time          "less than 0.1 SBU">
+]>
+
+  <!-- Begin Beaker -->
+  <sect2 id="Beaker" xreflabel="Beaker-&Beaker-version;">
+
+    <title>Beaker-&Beaker-version;</title>
+
+    <indexterm zone="Beaker">
+      <primary sortas="a-Beaker">Beaker</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to Beaker Module</title>
+
+      <para>
+        <application>Beaker</application> is a <application>Python</application>
+        module that implements caching and sessions WSGI middleware for use with
+        web applications and stand-alone Python scripts and applications.
+      </para>
+
+      &lfs83_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&Beaker-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&Beaker-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &Beaker-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &Beaker-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &Beaker-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &Beaker-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+      <bridgehead renderas="sect4">Beaker Dependencies</bridgehead>
+<!-- OBSOLETE
+      <bridgehead renderas="sect5">Required</bridgehead>
+      <para role="required">
+        <xref linkend="setuptools"/>
+      </para>
+-->
+
+      <bridgehead renderas="sect5">Optional</bridgehead>
+      <para role="optional">
+        <xref linkend="funcsigs"/> (required for Python-2.7)
+      </para>
+
+      <para condition="html" role="usernotes">
+        User Notes: <ulink url="&blfs-wiki;/Beaker"/>
+      </para>
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of Beaker</title>
+
+      <note>
+        <para>
+          Both <application>Python 2</application> and
+          <application>Python 3</application> modules can
+          be built and installed without any conflicts.
+        </para>
+      </note>
+
+<!-- Editors note: Use - -root= instead of DESTDIR= when updating. -->
+
+      <para>
+        To install the <application>Python 2</application> module,
+        run the following command as the
+        <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>python setup.py install --optimize=1</userinput></screen>
+
+      <para>
+        To install the <application>Python 3</application> module,
+        run the following command as the
+        <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>python3 setup.py install --optimize=1</userinput></screen>
+
+    </sect3>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Programs</segtitle>
+        <segtitle>Installed Libraries</segtitle>
+        <segtitle>Installed Directories</segtitle>
+
+        <seglistitem>
+          <seg>
+            None
+          </seg>
+          <seg>
+            None
+          </seg>
+          <seg>
+            /usr/lib/python&python2-majorver;/site-packages/beaker,
+            /usr/lib/python&python2-majorver;/site-packages/Beaker-&Beaker-version;-py&python2-majorver;.egg-info and/or
+            /usr/lib/python&python3-majorver;/site-packages/beaker,
+            /usr/lib/python&python3-majorver;/site-packages/Beaker-&Beaker-version;-py&python3-majorver;.egg-info
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+
+    </sect3>
+
+  </sect2>
+  <!--End Beaker -->
Index: archive/funcsigs.xml
===================================================================
--- archive/funcsigs.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
+++ archive/funcsigs.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -0,0 +1,130 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY funcsigs-download-http "&pymodules-dl;/f/funcsigs/funcsigs-&funcsigs-version;.tar.gz">
+  <!ENTITY funcsigs-download-ftp  " ">
+  <!ENTITY funcsigs-md5sum        "7e583285b1fb8a76305d6d68f4ccc14e">
+  <!ENTITY funcsigs-size          "32 KB">
+  <!ENTITY funcsigs-buildsize     "440 KB">
+  <!ENTITY funcsigs-time          "less than 0.1 SBU">
+]>
+
+  <!-- Begin funcsigs -->
+  <sect2 id="funcsigs" xreflabel="funcsigs-&funcsigs-version;">
+
+    <title>funcsigs-&funcsigs-version;</title>
+
+    <indexterm zone="funcsigs">
+      <primary sortas="a-funcsigs">funcsigs</primary>
+    </indexterm>
+
+    <sect3 role="package">
+      <title>Introduction to the funcsigs Module</title>
+
+      <para>
+        <application>funcsigs</application> is a is a backport of the
+        PEP 362 function signature features from
+        <application>Python</application> 3.3's inspect module for
+        <application>Python</application> 2.x.
+      </para>
+
+      &lfs83_checked;
+
+      <bridgehead renderas="sect4">Package Information</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Download (HTTP): <ulink url="&funcsigs-download-http;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download (FTP): <ulink url="&funcsigs-download-ftp;"/>
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download MD5 sum: &funcsigs-md5sum;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Download size: &funcsigs-size;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated disk space required: &funcsigs-buildsize;
+          </para>
+        </listitem>
+        <listitem>
+          <para>
+            Estimated build time: &funcsigs-time;
+          </para>
+        </listitem>
+      </itemizedlist>
+
+<!-- OBSOLETE
+      <bridgehead renderas="sect4">funcsigs Dependencies</bridgehead>
+
+      <bridgehead renderas="sect5">Required</bridgehead>
+      <para role="required">
+        <xref linkend="setuptools"/>
+      </para>
+-->
+
+      <para condition="html" role="usernotes">
+        User Notes: <ulink url="&blfs-wiki;/funcsigs"/>
+      </para>
+    </sect3>
+
+    <sect3 role="installation">
+      <title>Installation of funcsigs</title>
+
+<!-- Editors note: Use - -root= instead of DESTDIR= when updating. -->
+
+      <para>
+        To install the <application>Python 2</application> module,
+        run the following command as the
+        <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>python setup.py install --optimize=1</userinput></screen>
+
+      <note>
+        <para>
+          This module is included with <application>Python</application>
+          distributions after 3.3.
+        </para>
+      </note>
+
+    </sect3>
+
+    <sect3 role="content">
+      <title>Contents</title>
+
+      <segmentedlist>
+        <segtitle>Installed Programs</segtitle>
+        <segtitle>Installed Libraries</segtitle>
+        <segtitle>Installed Directories</segtitle>
+
+        <seglistitem>
+          <seg>
+            None
+          </seg>
+          <seg>
+            None
+          </seg>
+          <seg>
+            /usr/lib/python&python2-majorver;/site-packages/funcsigs-&funcsigs-version;-py&python2-majorver;.egg-info
+          </seg>
+        </seglistitem>
+      </segmentedlist>
+
+    </sect3>
+
+  </sect2>
+  <!--End funcsigs -->
Index: neral/prog/beaker.xml
===================================================================
--- general/prog/beaker.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ 	(revision )
@@ -1,145 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY Beaker-download-http "&pymodules-dl;/B/Beaker/Beaker-&Beaker-version;.tar.gz">
-  <!ENTITY Beaker-download-ftp  " ">
-  <!ENTITY Beaker-md5sum        "c07254713337b7a1b404ef37ad880b07">
-  <!ENTITY Beaker-size          "44 KB">
-  <!ENTITY Beaker-buildsize     "916 KB">
-  <!ENTITY Beaker-time          "less than 0.1 SBU">
-]>
-
-  <!-- Begin Beaker -->
-  <sect2 id="Beaker" xreflabel="Beaker-&Beaker-version;">
-
-    <title>Beaker-&Beaker-version;</title>
-
-    <indexterm zone="Beaker">
-      <primary sortas="a-Beaker">Beaker</primary>
-    </indexterm>
-
-    <sect3 role="package">
-      <title>Introduction to Beaker Module</title>
-
-      <para>
-        <application>Beaker</application> is a <application>Python</application>
-        module that implements caching and sessions WSGI middleware for use with
-        web applications and stand-alone Python scripts and applications.
-      </para>
-
-      &lfs83_checked;
-
-      <bridgehead renderas="sect4">Package Information</bridgehead>
-      <itemizedlist spacing="compact">
-        <listitem>
-          <para>
-            Download (HTTP): <ulink url="&Beaker-download-http;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download (FTP): <ulink url="&Beaker-download-ftp;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download MD5 sum: &Beaker-md5sum;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download size: &Beaker-size;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated disk space required: &Beaker-buildsize;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated build time: &Beaker-time;
-          </para>
-        </listitem>
-      </itemizedlist>
-
-      <bridgehead renderas="sect4">Beaker Dependencies</bridgehead>
-<!-- OBSOLETE
-      <bridgehead renderas="sect5">Required</bridgehead>
-      <para role="required">
-        <xref linkend="setuptools"/>
-      </para>
--->
-
-      <bridgehead renderas="sect5">Optional</bridgehead>
-      <para role="optional">
-        <xref linkend="funcsigs"/> (required for Python-2.7)
-      </para>
-
-      <para condition="html" role="usernotes">
-        User Notes: <ulink url="&blfs-wiki;/Beaker"/>
-      </para>
-    </sect3>
-
-    <sect3 role="installation">
-      <title>Installation of Beaker</title>
-
-      <note>
-        <para>
-          Both <application>Python 2</application> and
-          <application>Python 3</application> modules can
-          be built and installed without any conflicts.
-        </para>
-      </note>
-
-<!-- Editors note: Use - -root= instead of DESTDIR= when updating. -->
-
-      <para>
-        To install the <application>Python 2</application> module,
-        run the following command as the
-        <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>python setup.py install --optimize=1</userinput></screen>
-
-      <para>
-        To install the <application>Python 3</application> module,
-        run the following command as the
-        <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>python3 setup.py install --optimize=1</userinput></screen>
-
-    </sect3>
-
-    <sect3 role="content">
-      <title>Contents</title>
-
-      <segmentedlist>
-        <segtitle>Installed Programs</segtitle>
-        <segtitle>Installed Libraries</segtitle>
-        <segtitle>Installed Directories</segtitle>
-
-        <seglistitem>
-          <seg>
-            None
-          </seg>
-          <seg>
-            None
-          </seg>
-          <seg>
-            /usr/lib/python&python2-majorver;/site-packages/beaker,
-            /usr/lib/python&python2-majorver;/site-packages/Beaker-&Beaker-version;-py&python2-majorver;.egg-info and/or
-            /usr/lib/python&python3-majorver;/site-packages/beaker,
-            /usr/lib/python&python3-majorver;/site-packages/Beaker-&Beaker-version;-py&python3-majorver;.egg-info
-          </seg>
-        </seglistitem>
-      </segmentedlist>
-
-    </sect3>
-
-  </sect2>
-  <!--End Beaker -->
Index: general/prog/clisp.xml
===================================================================
--- general/prog/clisp.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ general/prog/clisp.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: neral/prog/funcsigs.xml
===================================================================
--- general/prog/funcsigs.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ 	(revision )
@@ -1,130 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-
-  <!ENTITY funcsigs-download-http "&pymodules-dl;/f/funcsigs/funcsigs-&funcsigs-version;.tar.gz">
-  <!ENTITY funcsigs-download-ftp  " ">
-  <!ENTITY funcsigs-md5sum        "7e583285b1fb8a76305d6d68f4ccc14e">
-  <!ENTITY funcsigs-size          "32 KB">
-  <!ENTITY funcsigs-buildsize     "440 KB">
-  <!ENTITY funcsigs-time          "less than 0.1 SBU">
-]>
-
-  <!-- Begin funcsigs -->
-  <sect2 id="funcsigs" xreflabel="funcsigs-&funcsigs-version;">
-
-    <title>funcsigs-&funcsigs-version;</title>
-
-    <indexterm zone="funcsigs">
-      <primary sortas="a-funcsigs">funcsigs</primary>
-    </indexterm>
-
-    <sect3 role="package">
-      <title>Introduction to the funcsigs Module</title>
-
-      <para>
-        <application>funcsigs</application> is a is a backport of the
-        PEP 362 function signature features from
-        <application>Python</application> 3.3's inspect module for
-        <application>Python</application> 2.x.
-      </para>
-
-      &lfs83_checked;
-
-      <bridgehead renderas="sect4">Package Information</bridgehead>
-      <itemizedlist spacing="compact">
-        <listitem>
-          <para>
-            Download (HTTP): <ulink url="&funcsigs-download-http;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download (FTP): <ulink url="&funcsigs-download-ftp;"/>
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download MD5 sum: &funcsigs-md5sum;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Download size: &funcsigs-size;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated disk space required: &funcsigs-buildsize;
-          </para>
-        </listitem>
-        <listitem>
-          <para>
-            Estimated build time: &funcsigs-time;
-          </para>
-        </listitem>
-      </itemizedlist>
-
-<!-- OBSOLETE
-      <bridgehead renderas="sect4">funcsigs Dependencies</bridgehead>
-
-      <bridgehead renderas="sect5">Required</bridgehead>
-      <para role="required">
-        <xref linkend="setuptools"/>
-      </para>
--->
-
-      <para condition="html" role="usernotes">
-        User Notes: <ulink url="&blfs-wiki;/funcsigs"/>
-      </para>
-    </sect3>
-
-    <sect3 role="installation">
-      <title>Installation of funcsigs</title>
-
-<!-- Editors note: Use - -root= instead of DESTDIR= when updating. -->
-
-      <para>
-        To install the <application>Python 2</application> module,
-        run the following command as the
-        <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>python setup.py install --optimize=1</userinput></screen>
-
-      <note>
-        <para>
-          This module is included with <application>Python</application>
-          distributions after 3.3.
-        </para>
-      </note>
-
-    </sect3>
-
-    <sect3 role="content">
-      <title>Contents</title>
-
-      <segmentedlist>
-        <segtitle>Installed Programs</segtitle>
-        <segtitle>Installed Libraries</segtitle>
-        <segtitle>Installed Directories</segtitle>
-
-        <seglistitem>
-          <seg>
-            None
-          </seg>
-          <seg>
-            None
-          </seg>
-          <seg>
-            /usr/lib/python&python2-majorver;/site-packages/funcsigs-&funcsigs-version;-py&python2-majorver;.egg-info
-          </seg>
-        </seglistitem>
-      </segmentedlist>
-
-    </sect3>
-
-  </sect2>
-  <!--End funcsigs -->
Index: general/prog/mercurial.xml
===================================================================
--- general/prog/mercurial.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ general/prog/mercurial.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -36,5 +36,5 @@
     Mozilla and Vim.</para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/npapi-sdk.xml
===================================================================
--- general/prog/npapi-sdk.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ general/prog/npapi-sdk.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: general/prog/php.xml
===================================================================
--- general/prog/php.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ general/prog/php.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/connect/dhcp.xml
===================================================================
--- networking/connect/dhcp.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ networking/connect/dhcp.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/mailnews/mailx.xml
===================================================================
--- networking/mailnews/mailx.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ networking/mailnews/mailx.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -42,5 +42,5 @@
     especially useful for writing scripts and batch processing.</para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/geoclue2.xml
===================================================================
--- networking/netlibs/geoclue2.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ networking/netlibs/geoclue2.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/ldns.xml
===================================================================
--- networking/netlibs/ldns.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ networking/netlibs/ldns.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/libndp.xml
===================================================================
--- networking/netlibs/libndp.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ networking/netlibs/libndp.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/libnsl.xml
===================================================================
--- networking/netlibs/libnsl.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ networking/netlibs/libnsl.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/libpcap.xml
===================================================================
--- networking/netlibs/libpcap.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ networking/netlibs/libpcap.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -35,5 +35,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netprogs/bridgeutils.xml
===================================================================
--- networking/netprogs/bridgeutils.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ networking/netprogs/bridgeutils.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -34,5 +34,5 @@
     networks for a hosted virtual machine (VM).</para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netprogs/iw.xml
===================================================================
--- networking/netprogs/iw.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ networking/netprogs/iw.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netprogs/rsync.xml
===================================================================
--- networking/netprogs/rsync.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ networking/netprogs/rsync.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -34,5 +34,5 @@
     file archives over a network.</para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: pst/ps/a2ps.xml
===================================================================
--- pst/ps/a2ps.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ pst/ps/a2ps.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -37,5 +37,5 @@
     expands appropriately to <quote>all to PostScript</quote>.</para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <caution>
Index: pst/ps/epdfview.xml
===================================================================
--- pst/ps/epdfview.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ pst/ps/epdfview.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: pst/ps/paps.xml
===================================================================
--- pst/ps/paps.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ pst/ps/paps.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: pst/ps/psutils.xml
===================================================================
--- pst/ps/psutils.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ pst/ps/psutils.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -34,5 +34,5 @@
     PostScript files.</para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: pst/scanning/sane.xml
===================================================================
--- pst/scanning/sane.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ pst/scanning/sane.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -48,5 +48,5 @@
     front ends are user interfaces to access the backends.</para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Back Ends Package Information</bridgehead>
Index: pst/scanning/xsane.xml
===================================================================
--- pst/scanning/xsane.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ pst/scanning/xsane.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -34,5 +34,5 @@
     quality and ease of use compared to <command>xscanimage</command>.</para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: server/mail/postfix.xml
===================================================================
--- server/mail/postfix.xml	(revision 02e06ab1d6673abddba31f5b4fad18bd290d4ce1)
+++ server/mail/postfix.xml	(revision 81076bb6b0f9b0c5dc1b3f718d0ecc6394b6f8c0)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs83_checked;
+    &lfs84_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>