Index: general.ent
===================================================================
--- general.ent	(revision a146cb1f0734bcdab2d6551be4f7b86147138790)
+++ general.ent	(revision 81158c379dc4073e8d82085a235f27a724ec8d2c)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "27">                   <!-- Always 2 digits -->
+<!ENTITY day          "28">                   <!-- Always 2 digits -->
 <!ENTITY month        "04">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "April 27th, &year;">
+<!ENTITY releasedate  "April 28th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: gnome.ent
===================================================================
--- gnome.ent	(revision a146cb1f0734bcdab2d6551be4f7b86147138790)
+++ gnome.ent	(revision 81158c379dc4073e8d82085a235f27a724ec8d2c)
@@ -25,5 +25,5 @@
 <!ENTITY GConf-version                     "3.2.6">
 <!ENTITY geocode-glib-version              "3.26.2">
-<!ENTITY gjs-version                       "1.64.1">
+<!ENTITY gjs-version                       "1.64.2">
 <!ENTITY gnome-autoar-version              "0.2.4">
 <!ENTITY gnome-desktop-version             "3.36.1">
Index: gnome/platform/gjs.xml
===================================================================
--- gnome/platform/gjs.xml	(revision a146cb1f0734bcdab2d6551be4f7b86147138790)
+++ gnome/platform/gjs.xml	(revision 81158c379dc4073e8d82085a235f27a724ec8d2c)
@@ -7,8 +7,8 @@
   <!ENTITY gjs-download-http "&gnome-download-http;/gjs/1.64/gjs-&gjs-version;.tar.xz">
   <!ENTITY gjs-download-ftp  "&gnome-download-ftp;/gjs/1.64/gjs-&gjs-version;.tar.xz">
-  <!ENTITY gjs-md5sum        "8c026b8b683aa1c1d369053de5b752c5">
+  <!ENTITY gjs-md5sum        "bd2f7f411b46016e8ee2d2c8d3c140d9">
   <!ENTITY gjs-size          "412 KB">
-  <!ENTITY gjs-buildsize     "291 MB (with tests)">
-  <!ENTITY gjs-time          "0.7 SBU (with tests)">
+  <!ENTITY gjs-buildsize     "314 MB (with tests)">
+  <!ENTITY gjs-time          "0.6 SBU (with tests)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a146cb1f0734bcdab2d6551be4f7b86147138790)
+++ introduction/welcome/changelog.xml	(revision 81158c379dc4073e8d82085a235f27a724ec8d2c)
@@ -42,4 +42,23 @@
     </listitem>
     -->
+
+    <listitem>
+      <para>April 28th, 2020</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to gjs-1.64.2. Fixes
+          <ulink url="&blfs-ticket-root;13461">#13461</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to cups-2.3.3 (security update). Fixes
+          <ulink url="&blfs-ticket-root;13464">#13464</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to samba-4.12.2 (security update). Fixes
+          <ulink url="&blfs-ticket-root;13463">#13463</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>April 27th, 2020</para>
Index: networking/netprogs/samba.xml
===================================================================
--- networking/netprogs/samba.xml	(revision a146cb1f0734bcdab2d6551be4f7b86147138790)
+++ networking/netprogs/samba.xml	(revision 81158c379dc4073e8d82085a235f27a724ec8d2c)
@@ -7,7 +7,7 @@
   <!ENTITY samba-download-http "https://www.samba.org/ftp/samba/stable/samba-&samba-version;.tar.gz">
   <!ENTITY samba-download-ftp  " ">
-  <!ENTITY samba-md5sum        "f2c536d9e5488d8b9cdae971733acbc3">
+  <!ENTITY samba-md5sum        "3cc1f61a48863ff50f3e590b4c9819c4">
   <!ENTITY samba-size          "17 MB">
-  <!ENTITY samba-buildsize     "634 MB (add 296 MB for quicktest)">
+  <!ENTITY samba-buildsize     "634 MB (add 340 MB for quicktest)">
   <!ENTITY samba-time          "3.2 SBU (using parallelism=4; add 4.8 SBU for quicktest)">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision a146cb1f0734bcdab2d6551be4f7b86147138790)
+++ packages.ent	(revision 81158c379dc4073e8d82085a235f27a724ec8d2c)
@@ -578,5 +578,5 @@
 <!ENTITY rpcbind-version              "1.2.5">
 <!ENTITY rsync-version                "3.1.3">
-<!ENTITY samba-version                "4.12.1">
+<!ENTITY samba-version                "4.12.2">
 <!ENTITY wget-version                 "1.20.3">
 <!ENTITY wireless-tools-version       "29">
@@ -1030,5 +1030,5 @@
 <!-- Part XII -->
 <!-- Chapter 46 -->
-<!ENTITY cups-version                 "2.3.1">
+<!ENTITY cups-version                 "2.3.3">
 <!ENTITY cups-filters-version         "1.27.1">
 <!ENTITY gs-version                   "9.52">
Index: pst/printing/cups.xml
===================================================================
--- pst/printing/cups.xml	(revision a146cb1f0734bcdab2d6551be4f7b86147138790)
+++ pst/printing/cups.xml	(revision 81158c379dc4073e8d82085a235f27a724ec8d2c)
@@ -9,5 +9,5 @@
   <!ENTITY cups-md5sum        "8ad8897c97cf4d90f20dac4318f47421">
   <!ENTITY cups-size          "7.8 MB">
-  <!ENTITY cups-buildsize     "64 MB (Add 42 MB for tests)">
+  <!ENTITY cups-buildsize     "80 MB (Add 89 MB for tests)">
   <!ENTITY cups-time          "0.5 SBU (Add 0.9 SBU for tests)">
 ]>
@@ -229,5 +229,5 @@
       To test the results, issue: <command>make -k check</command>. An already
       active graphical session with bus address is necessary to run the tests.
-      One test, <filename>httpAddrGetList</filename>, is known to fail.
+      <!--One test, <filename>httpAddrGetList</filename>, is known to fail.-->
     </para>
 
@@ -420,13 +420,13 @@
       <seglistitem>
         <seg>
-          accept, cancel, cupsaccept, cupsaddsmb, cups-config, cupsctl, cupsd,
-          cupsdisable, cupsenable, cupsfilter, cupsreject, cupstestdsc,
-          cupstestppd, ippfind, ipptool, lp, lpadmin, lpc, lpinfo, lpmove,
-          lpoptions, lpq, lpr, lprm, lpstat, ppdc, ppdhtml, ppdi, ppdmerge,
-          ppdpo, and reject
+           <!--accept,--> cancel, cupsaccept, <!--cupsaddsmb,--> cups-config, 
+          cupsctl, cupsd, cupsdisable, cupsenable, cupsfilter, cupsreject,
+          <!--cupstestdsc,--> cupstestppd, ippeveprinter, ippfind, ipptool, lp,
+          lpadmin, lpc, lpinfo, lpmove, lpoptions, lpq, lpr, lprm, lpstat, ppdc,
+          ppdhtml, ppdi, ppdmerge, and ppdpo <!--and reject-->
         </seg>
         <seg>
-          libcupscgi.so, libcupsimage.so, libcupsmime.so,
-          libcupsppdc.so, and libcups.so
+          <!--libcupscgi.so,--> libcupsimage.so <!--libcupsmime.so,-->
+          <!--libcupsppdc.so,--> and libcups.so
         </seg>
         <seg>
@@ -444,4 +444,5 @@
       <?dbhtml list-presentation="table"?>
 
+      <!--
       <varlistentry id="accept">
         <term><command>accept</command></term>
@@ -456,6 +457,7 @@
         </listitem>
       </varlistentry>
-
-      <varlistentry id="cancel-cups">
+     -->
+
+     <varlistentry id="cancel-cups">
         <term><command>cancel</command></term>
         <listitem>
@@ -467,5 +469,5 @@
           </indexterm>
         </listitem>
-      </varlistentry>
+     </varlistentry>
 
      <varlistentry id="cupsaccept">
@@ -481,4 +483,5 @@
       </varlistentry>
 
+<!--
       <varlistentry id="cupsaddsmb">
         <term><command>cupsaddsmb</command></term>
@@ -493,4 +496,5 @@
         </listitem>
       </varlistentry>
+-->
 
       <varlistentry id="cups-config-prog">
@@ -580,5 +584,5 @@
         </listitem>
       </varlistentry>
-
+<!--
       <varlistentry id="cupstestdsc">
         <term><command>cupstestdsc</command></term>
@@ -592,4 +596,5 @@
         </listitem>
       </varlistentry>
+-->
 
       <varlistentry id="cupstestppd">
@@ -601,4 +606,16 @@
           <indexterm zone="cups cupstestppd">
             <primary sortas="b-cupstestppd">cupstestppd</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="ippeveprinter">
+        <term><command>ippeveprinter</command></term>
+        <listitem>
+          <para>
+            is an IPP Everywhere printer for CUPS.
+          </para>
+          <indexterm zone="cups ippeveprinter">
+            <primary sortas="b-ippeveprinter">ippeveprinter</primary>
           </indexterm>
         </listitem>
@@ -818,5 +835,5 @@
         </listitem>
       </varlistentry>
-
+<!--
       <varlistentry id="reject">
         <term><command>reject</command></term>
@@ -831,5 +848,5 @@
         </listitem>
       </varlistentry>
-
+-->
       <varlistentry id="libcups">
         <term><filename class="libraryfile">libcups.so</filename></term>