Index: multimedia/libdriv/faac.xml
===================================================================
--- multimedia/libdriv/faac.xml	(revision 49a84b87578848d2321e45e03b403ff27c4a64c2)
+++ multimedia/libdriv/faac.xml	(revision 82066b8a0e7a95416076445c55e1035bea50119f)
@@ -36,5 +36,5 @@
     understand other sound compression schemes in video files.</para>
 
-    &lfs82_checked;
+    &lfs83_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/faad2.xml
===================================================================
--- multimedia/libdriv/faad2.xml	(revision 49a84b87578848d2321e45e03b403ff27c4a64c2)
+++ multimedia/libdriv/faad2.xml	(revision 82066b8a0e7a95416076445c55e1035bea50119f)
@@ -34,5 +34,5 @@
     and known as Advanced Audio Coding (AAC).</para>
 
-    &lfs82_checked;
+    &lfs83_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gst10-libav.xml
===================================================================
--- multimedia/libdriv/gst10-libav.xml	(revision 49a84b87578848d2321e45e03b403ff27c4a64c2)
+++ multimedia/libdriv/gst10-libav.xml	(revision 82066b8a0e7a95416076445c55e1035bea50119f)
@@ -38,5 +38,5 @@
     </para>
 
-    &lfs82_checked;
+    &lfs83_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gst10-plugins-bad.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-bad.xml	(revision 49a84b87578848d2321e45e03b403ff27c4a64c2)
+++ multimedia/libdriv/gst10-plugins-bad.xml	(revision 82066b8a0e7a95416076445c55e1035bea50119f)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs82_checked;
+    &lfs83_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gst10-plugins-good.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-good.xml	(revision 49a84b87578848d2321e45e03b403ff27c4a64c2)
+++ multimedia/libdriv/gst10-plugins-good.xml	(revision 82066b8a0e7a95416076445c55e1035bea50119f)
@@ -39,5 +39,5 @@
     </para>
 
-    &lfs82_checked;
+    &lfs83_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gst10-plugins-ugly.xml
===================================================================
--- multimedia/libdriv/gst10-plugins-ugly.xml	(revision 49a84b87578848d2321e45e03b403ff27c4a64c2)
+++ multimedia/libdriv/gst10-plugins-ugly.xml	(revision 82066b8a0e7a95416076445c55e1035bea50119f)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs82_checked;
+    &lfs83_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/gstreamer10-vaapi.xml
===================================================================
--- multimedia/libdriv/gstreamer10-vaapi.xml	(revision 49a84b87578848d2321e45e03b403ff27c4a64c2)
+++ multimedia/libdriv/gstreamer10-vaapi.xml	(revision 82066b8a0e7a95416076445c55e1035bea50119f)
@@ -37,5 +37,5 @@
     </para>
 
-    &lfs82_checked;
+    &lfs83_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/liba52.xml
===================================================================
--- multimedia/libdriv/liba52.xml	(revision 49a84b87578848d2321e45e03b403ff27c4a64c2)
+++ multimedia/libdriv/liba52.xml	(revision 82066b8a0e7a95416076445c55e1035bea50119f)
@@ -35,5 +35,5 @@
     in a variety of applications, including digital television and DVD.</para>
 
-    &lfs82_checked;
+    &lfs83_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdvdnav.xml
===================================================================
--- multimedia/libdriv/libdvdnav.xml	(revision 49a84b87578848d2321e45e03b403ff27c4a64c2)
+++ multimedia/libdriv/libdvdnav.xml	(revision 82066b8a0e7a95416076445c55e1035bea50119f)
@@ -34,5 +34,5 @@
     playback and even interactive DVD games.</para>
 
-    &lfs82_checked;
+    &lfs83_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libdvdread.xml
===================================================================
--- multimedia/libdriv/libdvdread.xml	(revision 49a84b87578848d2321e45e03b403ff27c4a64c2)
+++ multimedia/libdriv/libdvdread.xml	(revision 82066b8a0e7a95416076445c55e1035bea50119f)
@@ -33,5 +33,5 @@
     provides a simple foundation for reading DVDs.</para>
 
-    &lfs82_checked;
+    &lfs83_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/libmpeg2.xml
===================================================================
--- multimedia/libdriv/libmpeg2.xml	(revision 49a84b87578848d2321e45e03b403ff27c4a64c2)
+++ multimedia/libdriv/libmpeg2.xml	(revision 82066b8a0e7a95416076445c55e1035bea50119f)
@@ -37,5 +37,5 @@
     MPEG-1 video streams.</para>
 
-    &lfs82_checked;
+    &lfs83_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: multimedia/libdriv/soundtouch.xml
===================================================================
--- multimedia/libdriv/soundtouch.xml	(revision 49a84b87578848d2321e45e03b403ff27c4a64c2)
+++ multimedia/libdriv/soundtouch.xml	(revision 82066b8a0e7a95416076445c55e1035bea50119f)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs82_checked;
+    &lfs83_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: networking/netlibs/neon.xml
===================================================================
--- networking/netlibs/neon.xml	(revision 49a84b87578848d2321e45e03b403ff27c4a64c2)
+++ networking/netlibs/neon.xml	(revision 82066b8a0e7a95416076445c55e1035bea50119f)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs82_checked;
+    &lfs83_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/clutter.xml
===================================================================
--- x/lib/clutter.xml	(revision 49a84b87578848d2321e45e03b403ff27c4a64c2)
+++ x/lib/clutter.xml	(revision 82066b8a0e7a95416076445c55e1035bea50119f)
@@ -36,5 +36,5 @@
     </para>
 
-    &lfs82_checked;
+    &lfs83_checked;
 
     <note>
Index: x/lib/cogl.xml
===================================================================
--- x/lib/cogl.xml	(revision 49a84b87578848d2321e45e03b403ff27c4a64c2)
+++ x/lib/cogl.xml	(revision 82066b8a0e7a95416076445c55e1035bea50119f)
@@ -40,5 +40,5 @@
     </para>
 
-    &lfs82_checked;
+    &lfs83_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: x/lib/qt5.xml
===================================================================
--- x/lib/qt5.xml	(revision 49a84b87578848d2321e45e03b403ff27c4a64c2)
+++ x/lib/qt5.xml	(revision 82066b8a0e7a95416076445c55e1035bea50119f)
@@ -43,5 +43,5 @@
     </para>
 
-    &lfs82_checked;
+    &lfs83_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -207,5 +207,5 @@
     </para>
 
-<screen><userinput>patch -Np1 -i ../qt5-&qt5-version;-glibc228-1.patch</userinput></screen>
+<screen><userinput>patch -Np1 -i ../qt-&qt5-version;-glibc228-1.patch</userinput></screen>
 
     <note>