Index: general.ent
===================================================================
--- general.ent	(revision 0af6ce107660b62c218a08cc38fa74ac859e348c)
+++ general.ent	(revision 84737fb950a9714103d78c98f99ec07512cbc4c7)
@@ -1,3 +1,3 @@
-<!ENTITY day          "06">                   <!-- Always 2 digits -->
+<!ENTITY day          "07">                   <!-- Always 2 digits -->
 <!ENTITY month        "12">                   <!-- Always 2 digits -->
 <!ENTITY year         "2006">
@@ -608,5 +608,5 @@
 <!-- Part XII -->
 <!-- Chapter 42 -->
-<!ENTITY cups-version                 "1.1.23">
+<!ENTITY cups-version                 "1.2.7">
 <!ENTITY LPRng-version                "3.8.28">
 <!ENTITY gs-version                   "8.53">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 0af6ce107660b62c218a08cc38fa74ac859e348c)
+++ introduction/welcome/changelog.xml	(revision 84737fb950a9714103d78c98f99ec07512cbc4c7)
@@ -43,4 +43,13 @@
 
     <listitem>
+      <para>December 7th, 2006</para>
+      <itemizedlist>
+        <listitem>
+          <para>[randy] - Updated to CUPS-1.2.7.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>December 6th, 2006</para>
       <itemizedlist>
Index: pst/printing/cups.xml
===================================================================
--- pst/printing/cups.xml	(revision 0af6ce107660b62c218a08cc38fa74ac859e348c)
+++ pst/printing/cups.xml	(revision 84737fb950a9714103d78c98f99ec07512cbc4c7)
@@ -6,9 +6,9 @@
 
   <!ENTITY cups-download-http "http://ftp.easysw.com/pub/cups/&cups-version;/cups-&cups-version;-source.tar.bz2">
-  <!ENTITY cups-download-ftp  "ftp://ftp.easysw.com/pub/cups/&cups-version;/cups-&cups-version;-source.tar.bz2">
-  <!ENTITY cups-md5sum        "4ce09b1dce09b6b9398af0daae9adf63">
-  <!ENTITY cups-size          "8.7 MB">
-  <!ENTITY cups-buildsize     "48 MB">
-  <!ENTITY cups-time          "0.5 SBU">
+  <!ENTITY cups-download-ftp  "ftp://ftp3.easysw.com/pub/cups/&cups-version;/cups-&cups-version;-source.tar.bz2">
+  <!ENTITY cups-md5sum        "bf44783d9b46130bee9f2995e6055470">
+  <!ENTITY cups-size          "3.5 MB">
+  <!ENTITY cups-buildsize     "55 MB">
+  <!ENTITY cups-time          "0.6 SBU">
 ]>
 
@@ -57,4 +57,5 @@
     </itemizedlist>
 
+    <!--
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing="compact">
@@ -64,4 +65,5 @@
       </listitem>
     </itemizedlist>
+    -->
 
     <bridgehead renderas="sect3">CUPS Dependencies</bridgehead>
@@ -73,5 +75,8 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="openssl"/> or
+    <para role="optional"><xref linkend="pkgconfig"/>,
+    <xref linkend="dbus"/>,
+    <xref linkend="openldap"/>,
+    <xref linkend="openssl"/> or
     <ulink url="http://www.gnu.org/software/gnutls/">GnuTLS</ulink> (which needs
     <ulink url="ftp://ftp.gnupg.org/gcrypt/alpha/libgpg-error/">
@@ -85,6 +90,8 @@
     <xref linkend="jdk"/>,
     <ulink url="http://www.openslp.org/">OpenSLP</ulink>,
-    <ulink url="http://packages.debian.org/unstable/source/libpaper">
-    libpaper</ulink> and
+    <ulink url="http://packages.debian.org/unstable/source/libpaper">libpaper</ulink>,
+    <ulink url="ftp://oss.sgi.com/projects/xfs/cmd_tars/">libacl</ulink>
+    (requires <ulink url="ftp://oss.sgi.com/projects/xfs/cmd_tars/">libattr</ulink>),
+    <ulink url="http://www.easysw.com/htmldoc/">HTMLDOC</ulink>, and
     <ulink url="http://valgrind.kde.org/">Valgrind</ulink> (optionally used if
     running the test suites)</para>
@@ -99,10 +106,14 @@
 
     <para>Create an <systemitem class="username">lp</systemitem> user, as
-    <application>CUPS</application> will install the
-    <command>lppasswd</command> command SUID to this user. Use the following
-    command as the <systemitem class="username">root</systemitem> user:</para>
+    <application>CUPS</application> will create some files owned by this user.
+    (The <systemitem class="username">lp</systemitem> user is the default used
+    by <application>CUPS</application>, but may be changed to a different user
+    by passing a parameter to the <command>configure</command> script.) Use the
+    following command as the <systemitem class="username">root</systemitem>
+    user:</para>
 
 <screen role="root"><userinput>useradd -c "Print Service User" -d /dev/null -g lp -s /bin/false -u 9 lp</userinput></screen>
 
+    <!--
     <para>If you utilize <application>Linux-PAM</application>, you need to
     modify some files so <application>CUPS</application> can find needed headers.
@@ -111,5 +122,7 @@
 <screen><userinput>sed -i -e "s@pam/pam@security/pam@g" \
 {config-scripts/cups-pam.m4,scheduler/auth.c,configure}</userinput></screen>
-
+    -->
+
+    <!--
     <para>If you plan on running the test suite, you should apply the patch
     listed above to fix several issues in the test suite script. Note that if
@@ -118,4 +131,5 @@
 
 <screen><userinput>patch -Np1 -i ../cups-&cups-version;-testsuite_fix-1.patch</userinput></screen>
+    -->
 
     <para>Install <application>CUPS</application> by running the
@@ -125,11 +139,31 @@
 make</userinput></screen>
 
-    <para>To test the results, issue: <command>make check</command>. Note that
-    the <quote>torture load testing</quote> test uses more resources than those
-    displayed in the prompt.</para>
+    <para>To test the results, issue: <command>make check</command>. This will
+    run a basic test suite without any load testing. If you wish to run the
+    tests specifying non-default parameters, issue: <command>make test</command>.
+    Note that the <quote>torture load testing</quote> test uses more resources
+    than those displayed in the prompt.</para>
 
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
 <screen role="root"><userinput>make install</userinput></screen>
+
+    <para>The <application>man</application> files are installed in compressed
+    (<filename class='extension'>.gz</filename>) format. If desired, use the
+    following commands to uncompress them:</para>
+
+<screen role="root"><userinput>gunzip -v /usr/share/man/man{\
+1/{cancel,cups{-config,test{dsc,ppd}},\
+lp{,options,passwd,q,rm,r,stat}}.1,\
+5/{{classes,client,cups-snmp,cupsd,printers,subscriptions,mailto}.conf,\
+mime.{convs,types}}.5,\
+7/{backend,filter}.7,\
+8/{accept,cups{d,addsmb,enable,-{deviced,driverd,lpd,polld,}},\
+lp{admin,info,move,c}}.8}.gz &amp;&amp;
+
+rm -v /usr/share/man/man8/{reject,cupsdisable}.8.gz &amp;&amp;
+
+ln -v -s accept.8 /usr/share/man/man8/reject.8 &amp;&amp;
+ln -v -s cupsenable.8 /usr/share/man/man8/cupsdisable.8</userinput></screen>
 
   </sect2>
Index: pst/printing/gimp-print.xml
===================================================================
--- pst/printing/gimp-print.xml	(revision 0af6ce107660b62c218a08cc38fa74ac859e348c)
+++ pst/printing/gimp-print.xml	(revision 84737fb950a9714103d78c98f99ec07512cbc4c7)
@@ -135,5 +135,5 @@
       </note>
 
-      <para>Then point your web browser to <ulink url="http://127.0.0.1:631"/>
+      <para>Then point your web browser to <ulink url="http://localhost:631/"/>
       to add a new printer to <application>CUPS</application>.</para>
 