Index: general/genlib/gobject-introspection.xml
===================================================================
--- general/genlib/gobject-introspection.xml	(revision d83a70a475e464076a441f0c60dd5d928599e07f)
+++ general/genlib/gobject-introspection.xml	(revision 85333d1f379b949eb12f70f32ac7909dcdcdb2be)
@@ -9,7 +9,7 @@
   <!ENTITY gobject-introspection-download-ftp
     "&gnome-download-ftp;/gobject-introspection/1.60/gobject-introspection-&gobject-introspection-version;.tar.xz">
-  <!ENTITY gobject-introspection-md5sum        "5f75baadfc9baffaeca203c280b9d592">
+  <!ENTITY gobject-introspection-md5sum        "46fc8a98f6563e64947ac3d574632525">
   <!ENTITY gobject-introspection-size          "1.2 MB">
-  <!ENTITY gobject-introspection-buildsize     "42 MB (with tests)">
+  <!ENTITY gobject-introspection-buildsize     "56 MB (with tests)">
   <!ENTITY gobject-introspection-time          "0.2 SBU (Using parallelism=4; with tests)">
 ]>
Index: general/genlib/libcroco.xml
===================================================================
--- general/genlib/libcroco.xml	(revision d83a70a475e464076a441f0c60dd5d928599e07f)
+++ general/genlib/libcroco.xml	(revision 85333d1f379b949eb12f70f32ac7909dcdcdb2be)
@@ -7,7 +7,7 @@
   <!ENTITY libcroco-download-http "&gnome-download-http;/libcroco/0.6/libcroco-&libcroco-version;.tar.xz">
   <!ENTITY libcroco-download-ftp  "&gnome-download-ftp;/libcroco/0.6/libcroco-&libcroco-version;.tar.xz">
-  <!ENTITY libcroco-md5sum        "bc0984fce078ba2ce29f9500c6b9ddce">
-  <!ENTITY libcroco-size          "472 KB">
-  <!ENTITY libcroco-buildsize     "12 MB (with tests)">
+  <!ENTITY libcroco-md5sum        "c80c5a8385011a0260dce6bd0da93dce">
+  <!ENTITY libcroco-size          "480 KB">
+  <!ENTITY libcroco-buildsize     "10 MB (with tests)">
   <!ENTITY libcroco-time          "0.1 SBU (with tests)">
 ]>
Index: general/graphlib/harfbuzz.xml
===================================================================
--- general/graphlib/harfbuzz.xml	(revision d83a70a475e464076a441f0c60dd5d928599e07f)
+++ general/graphlib/harfbuzz.xml	(revision 85333d1f379b949eb12f70f32ac7909dcdcdb2be)
@@ -8,8 +8,8 @@
            "https://www.freedesktop.org/software/harfbuzz/release/harfbuzz-&harfbuzz-version;.tar.bz2">
   <!ENTITY harfbuzz-download-ftp  " ">
-  <!ENTITY harfbuzz-md5sum        "ebccf8203103766383d4c5a0767b102d">
+  <!ENTITY harfbuzz-md5sum        "49f111f9b52ae3d9b31c1a3631a320bd">
   <!ENTITY harfbuzz-size          "17 MB">
-  <!ENTITY harfbuzz-buildsize     "159 MB (with tests)">
-  <!ENTITY harfbuzz-time          "0.5 SBU (Using parallelism=4; with tests)">
+  <!ENTITY harfbuzz-buildsize     "176 MB (with tests)">
+  <!ENTITY harfbuzz-time          "0.6 SBU (Using parallelism=4; with tests)">
 ]>
 
Index: general/graphlib/pixman.xml
===================================================================
--- general/graphlib/pixman.xml	(revision d83a70a475e464076a441f0c60dd5d928599e07f)
+++ general/graphlib/pixman.xml	(revision 85333d1f379b949eb12f70f32ac7909dcdcdb2be)
@@ -7,8 +7,8 @@
   <!ENTITY pixman-download-http "https://www.cairographics.org/releases/pixman-&pixman-version;.tar.gz">
   <!ENTITY pixman-download-ftp  " ">
-  <!ENTITY pixman-md5sum        "8f34a92041de2daaa4c34c5f7c860f21">
-  <!ENTITY pixman-size          "872 KB">
-  <!ENTITY pixman-buildsize     "72 MB (with tests)">
-  <!ENTITY pixman-time          "1.1 SBU (with tests)">
+  <!ENTITY pixman-md5sum        "e216abae705641038ca782c6d6fd4204">
+  <!ENTITY pixman-size          "880 KB">
+  <!ENTITY pixman-buildsize     "63 MB (with tests)">
+  <!ENTITY pixman-time          "0.8 SBU (with tests)">
 ]>
 
Index: general/prog/jinja2.xml
===================================================================
--- general/prog/jinja2.xml	(revision d83a70a475e464076a441f0c60dd5d928599e07f)
+++ general/prog/jinja2.xml	(revision 85333d1f379b949eb12f70f32ac7909dcdcdb2be)
@@ -7,5 +7,5 @@
   <!ENTITY Jinja2-download-http "&pymodules-dl;/J/Jinja2/Jinja2-&Jinja2-version;.tar.gz">
   <!ENTITY Jinja2-download-ftp  " ">
-  <!ENTITY Jinja2-md5sum        "61ef1117f945486472850819b8d1eb3d">
+  <!ENTITY Jinja2-md5sum        "0ae535be40fd215a8114a090c8b68e5a">
   <!ENTITY Jinja2-size          "256 KB">
   <!ENTITY Jinja2-buildsize     "2.7 MB">
Index: general/prog/perl-modules/perl-text-bibtex.xml
===================================================================
--- general/prog/perl-modules/perl-text-bibtex.xml	(revision d83a70a475e464076a441f0c60dd5d928599e07f)
+++ general/prog/perl-modules/perl-text-bibtex.xml	(revision 85333d1f379b949eb12f70f32ac7909dcdcdb2be)
@@ -6,5 +6,5 @@
 
   <!ENTITY my-download-http "&perl_authors;/id/A/AM/AMBS/Text-BibTeX-&Text-BibTeX-version;.tar.gz">
-  <!ENTITY my-md5sum "9dacb3282600a7fa59142c49a9b73ce4">
+  <!ENTITY my-md5sum "9564b9943f97ffaff8537366f79d2999">
 
 ]>
Index: general/prog/php.xml
===================================================================
--- general/prog/php.xml	(revision d83a70a475e464076a441f0c60dd5d928599e07f)
+++ general/prog/php.xml	(revision 85333d1f379b949eb12f70f32ac7909dcdcdb2be)
@@ -7,8 +7,8 @@
   <!ENTITY php-download-http "http://www.php.net/distributions/php-&php-version;.tar.xz">
   <!ENTITY php-download-ftp  " ">
-  <!ENTITY php-md5sum        "812decb215c6d1a608c721d3d4c2314f">
+  <!ENTITY php-md5sum        "eb860e97b4be43c1aad056fa7dde1157">
   <!ENTITY php-size          "11 MB">
-  <!ENTITY php-buildsize     "578 MB (add 4 MB for tests, add 112 MB for documentation)">
-  <!ENTITY php-time          "1.9 SBU (with parallelism=4; add 2.6 SBU for tests)">
+  <!ENTITY php-buildsize     "575 MB (add 4 MB for tests, add 112 MB for documentation)">
+  <!ENTITY php-time          "1.9 SBU (with parallelism=4; add 2.5 SBU for tests)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d83a70a475e464076a441f0c60dd5d928599e07f)
+++ introduction/welcome/changelog.xml	(revision 85333d1f379b949eb12f70f32ac7909dcdcdb2be)
@@ -45,4 +45,37 @@
       <para>April 8th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to pixman-0.38.2.  Fixes
+          <ulink url="&blfs-ticket-root;11908">#11908</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gobject-introspection-1.60.1.  Fixes
+          <ulink url="&blfs-ticket-root;11907">#11907</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Revaidate harfbuzz-2.4.0 due to 
+          stealth update.  Fixes
+          <ulink url="&blfs-ticket-root;11906">#11906</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Text-BibTex-0.87 (Perl Module).  Fixes
+          <ulink url="&blfs-ticket-root;11905">#11905</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Jinja2-2.10.1 (Python module).  Fixes
+          <ulink url="&blfs-ticket-root;11904">#11904</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libcroco-0.6.13.  Fixes
+          <ulink url="&blfs-ticket-root;11903">#11903</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to cups-filters-1.22.4.  Fixes
+          <ulink url="&blfs-ticket-root;11902">#11902</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to php-7.3.4.  Fixes
+          <ulink url="&blfs-ticket-root;11896">#11896</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[xry111] - Update to gjs-1.56.1.  Fixes
Index: packages.ent
===================================================================
--- packages.ent	(revision d83a70a475e464076a441f0c60dd5d928599e07f)
+++ packages.ent	(revision 85333d1f379b949eb12f70f32ac7909dcdcdb2be)
@@ -105,5 +105,5 @@
 <!ENTITY gmime-version                "2.6.23">
 <!ENTITY gmime3-version               "3.2.3">
-<!ENTITY gobject-introspection-version "1.60.0">
+<!ENTITY gobject-introspection-version "1.60.1">
 <!ENTITY grantlee-version             "5.1.0">
 <!ENTITY gsl-version                  "2.5">
@@ -129,5 +129,5 @@
 <!ENTITY libblockdev-version          "2.21">
 <!ENTITY libbytesize-version          "1.4">
-<!ENTITY libcroco-version             "0.6.12">
+<!ENTITY libcroco-version             "0.6.13">
 <!ENTITY libdaemon-version            "0.14">
 <!ENTITY libdrm-version               "2.4.97">
@@ -222,5 +222,5 @@
 <!ENTITY openjpeg-version             "1.5.2">
 <!ENTITY openjpeg2-version            "2.3.1">
-<!ENTITY pixman-version               "0.38.0">   <!-- Even minors only -->
+<!ENTITY pixman-version               "0.38.2">   <!-- Even minors only -->
 <!ENTITY poppler-version              "0.75.0">
 <!ENTITY potrace-version              "1.15">
@@ -334,5 +334,5 @@
 <!ENTITY ninja-version                "1.9.0">
 <!ENTITY npapi-sdk-version            "0.27.2">
-<!ENTITY php-version                  "7.3.3">
+<!ENTITY php-version                  "7.3.4">
 <!ENTITY python2-version              "2.7.16">
 <!ENTITY python3-version              "3.7.3">
@@ -404,5 +404,5 @@
 <!ENTITY Test-Command-version         "0.11">
 <!ENTITY Test-Differences-version     "0.67">
-<!ENTITY Text-BibTeX-version          "0.86">
+<!ENTITY Text-BibTeX-version          "0.87">
 <!ENTITY Text-CSV-version             "1.99">
 <!ENTITY Text-Roman-version           "3.5">
@@ -521,5 +521,5 @@
 <!ENTITY dbus-python-version          "1.2.8">
 <!-- <!ENTITY funcsigs-version             "1.0.2"> -->
-<!ENTITY Jinja2-version               "2.10">
+<!ENTITY Jinja2-version               "2.10.1">
 <!-- libxml2 for Python2 shares the version of libxml2 -->
 <!ENTITY lxml-version                 "4.3.3">
@@ -986,5 +986,5 @@
 <!-- Chapter 50 -->
 <!ENTITY cups-version                 "2.2.11">
-<!ENTITY cups-filters-version         "1.22.3">
+<!ENTITY cups-filters-version         "1.22.4">
 <!ENTITY gs-version                   "9.27">
 <!ENTITY gutenprint-version           "5.2.14">
Index: pst/printing/cups-filters.xml
===================================================================
--- pst/printing/cups-filters.xml	(revision d83a70a475e464076a441f0c60dd5d928599e07f)
+++ pst/printing/cups-filters.xml	(revision 85333d1f379b949eb12f70f32ac7909dcdcdb2be)
@@ -8,5 +8,5 @@
   "https://www.openprinting.org/download/cups-filters/cups-filters-&cups-filters-version;.tar.xz">
   <!ENTITY cups-filters-download-ftp  " ">
-  <!ENTITY cups-filters-md5sum        "d2f1944c643d028d4b826d3f16bbfce0">
+  <!ENTITY cups-filters-md5sum        "f169959e8f65e121da4712941d1a2a67">
   <!ENTITY cups-filters-size          "1.4 MB">
   <!ENTITY cups-filters-buildsize     "43 MB (with tests), 15MB installed">