Index: general/prog/cbindgen.xml
===================================================================
--- general/prog/cbindgen.xml	(revision 60b2296f8f7166bc408cbb8c2f0cc217525cb029)
+++ general/prog/cbindgen.xml	(revision 85506b2de49f913cad48e19a006793a2b2fa78f4)
@@ -7,6 +7,6 @@
   <!ENTITY cbindgen-download-http "https://github.com/eqrion/cbindgen/archive/v&cbindgen-version;/cbindgen-&cbindgen-version;.tar.gz">
   <!ENTITY cbindgen-download-ftp  " ">
-  <!ENTITY cbindgen-md5sum        "9eb3e5c1c3adda2a8f1e3eee8d9700e3">
-  <!ENTITY cbindgen-size          "188 KB">
+  <!ENTITY cbindgen-md5sum        "b707b093702d4f1995f9a97f44ed081d">
+  <!ENTITY cbindgen-size          "192 KB">
   <!ENTITY cbindgen-buildsize     "123 MB (add 533 MB for tests)">
   <!ENTITY cbindgen-time          "0.6 SBU (add 0.4 SBU for tests), both on a 4-core machine">
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 60b2296f8f7166bc408cbb8c2f0cc217525cb029)
+++ gnome.ent	(revision 85506b2de49f913cad48e19a006793a2b2fa78f4)
@@ -81,5 +81,5 @@
 <!ENTITY evince-version                    "40.1">
 <!ENTITY evolution-version                 "3.40.0">
-<!ENTITY file-roller-version               "3.38.0">
+<!ENTITY file-roller-version               "3.40.0">
 <!-- gedit moved to Editors, so it's now in packages.ent -->
 <!ENTITY gnome-calculator-version          "40.0">
@@ -97,5 +97,5 @@
 <!ENTITY gucharmap-version                 "12.0.1">
 <!-- nm-applet moved to Networking Utilities, so it's now in packages.ent -->
-<!ENTITY seahorse-version                  "3.38.1">
+<!ENTITY seahorse-version                  "40.0">
 <!ENTITY vinagre-version                   "3.22.0">
 <!--<!ENTITY vino-version                      "3.22.0">-->
Index: gnome/applications/file-roller.xml
===================================================================
--- gnome/applications/file-roller.xml	(revision 60b2296f8f7166bc408cbb8c2f0cc217525cb029)
+++ gnome/applications/file-roller.xml	(revision 85506b2de49f913cad48e19a006793a2b2fa78f4)
@@ -6,9 +6,9 @@
 
   <!ENTITY file-roller-download-http
-           "&gnome-download-http;/file-roller/&gnome-minor-38;/file-roller-&file-roller-version;.tar.xz">
+           "&gnome-download-http;/file-roller/&gnome-minor-40;/file-roller-&file-roller-version;.tar.xz">
   <!ENTITY file-roller-download-ftp
-           "&gnome-download-ftp;/file-roller/&gnome-minor-38;/file-roller-&file-roller-version;.tar.xz">
-  <!ENTITY file-roller-md5sum        "41ee373818d577659980dcdaf57b772a">
-  <!ENTITY file-roller-size          "860 KB">
+           "&gnome-download-ftp;/file-roller/&gnome-minor-40;/file-roller-&file-roller-version;.tar.xz">
+  <!ENTITY file-roller-md5sum        "b38c3eaea9aba5f44d2701fa23a7a0ff">
+  <!ENTITY file-roller-size          "856 KB">
   <!ENTITY file-roller-buildsize     "25 MB">
   <!ENTITY file-roller-time          "0.1 SBU (Using parallelism=4)">
Index: gnome/applications/seahorse.xml
===================================================================
--- gnome/applications/seahorse.xml	(revision 60b2296f8f7166bc408cbb8c2f0cc217525cb029)
+++ gnome/applications/seahorse.xml	(revision 85506b2de49f913cad48e19a006793a2b2fa78f4)
@@ -6,9 +6,9 @@
 
   <!ENTITY seahorse-download-http
-           "&gnome-download-http;/seahorse/&gnome-minor-38;/seahorse-&seahorse-version;.tar.xz">
+           "&gnome-download-http;/seahorse/&gnome-40;/seahorse-&seahorse-version;.tar.xz">
   <!ENTITY seahorse-download-ftp
-           "&gnome-download-ftp;/seahorse/&gnome-minor-38;/seahorse-&seahorse-version;.tar.xz">
-  <!ENTITY seahorse-md5sum        "e9d710e7c0282e6680869f48bf0a71d2">
-  <!ENTITY seahorse-size          "1.6 MB">
+           "&gnome-download-ftp;/seahorse/&gnome-40;/seahorse-&seahorse-version;.tar.xz">
+  <!ENTITY seahorse-md5sum        "c6c11d77e64c4efc31f02c7127327be8">
+  <!ENTITY seahorse-size          "1.3 MB">
   <!ENTITY seahorse-buildsize     "58 MB">
   <!ENTITY seahorse-time          "0.4 SBU">
@@ -148,5 +148,7 @@
       <para>
         <option>-Dldap-support=false</option>: Add this switch if you have not
-        installed openldap.
+        installed openldap. Note that you will have to use the following 'sed'
+        command to fix the build:
+        sed -i "448 s/g_list/if (ssrc) &amp;/" pgp/seahorse-pgp-backend.c
       </para>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 60b2296f8f7166bc408cbb8c2f0cc217525cb029)
+++ introduction/welcome/changelog.xml	(revision 85506b2de49f913cad48e19a006793a2b2fa78f4)
@@ -44,4 +44,24 @@
      <para>May 6th, 2021</para>
      <itemizedlist>
+       <listitem>
+         <para>[renodr] - Update to cbindgen-0.19.0. Fixes
+         <ulink url="&blfs-ticket-root;14885">#14885</ulink>.</para>
+       </listitem>
+       <listitem>
+         <para>[renodr] - Update to postfix-3.6.0. Fixes
+         <ulink url="&blfs-ticket-root;14892">#14892</ulink>.</para>
+       </listitem>
+       <listitem>
+         <para>[renodr] - Update to gdk-pixbuf-2.42.6. Fixes
+         <ulink url="&blfs-ticket-root;14893">#14893</ulink>.</para>
+       </listitem>
+       <listitem>
+         <para>[renodr] - Update to file-roller-3.40.0. Fixes
+         <ulink url="&blfs-ticket-root;14894">#14894</ulink>.</para>
+       </listitem>
+       <listitem>
+         <para>[renodr] - Update to seahorse-40.0. Fixes
+         <ulink url="&blfs-ticket-root;14895">#14895</ulink>.</para>
+       </listitem>
        <listitem>
          <para>[renodr] - Update to ICU-69.1. Fixes
Index: packages.ent
===================================================================
--- packages.ent	(revision 60b2296f8f7166bc408cbb8c2f0cc217525cb029)
+++ packages.ent	(revision 85506b2de49f913cad48e19a006793a2b2fa78f4)
@@ -331,5 +331,5 @@
 <!ENTITY autoconf213-version          "2.13">
 <!ENTITY bazaar-version               "2.5.1">
-<!ENTITY cbindgen-version             "0.18.0">
+<!ENTITY cbindgen-version             "0.19.0">
 <!ENTITY check-version                "0.12.0">
 <!ENTITY clisp-version                "2.49">
@@ -668,5 +668,5 @@
 
 <!ENTITY exim-version                 "4.94.2">
-<!ENTITY postfix-version              "3.5.9">
+<!ENTITY postfix-version              "3.6.0">
 <!ENTITY sendmail-version             "8.16.1">
 
@@ -735,5 +735,5 @@
 <!ENTITY fltk-version                 "1.3.5">
 <!ENTITY freeglut-version             "3.2.1">
-<!ENTITY gdk-pixbuf-version           "2.42.4">
+<!ENTITY gdk-pixbuf-version           "2.42.6">
 <!ENTITY gdk-pixbuf-xlib-version      "2.40.2">
 <!ENTITY gdl-version                  "3.34.0">
Index: server/mail/postfix.xml
===================================================================
--- server/mail/postfix.xml	(revision 60b2296f8f7166bc408cbb8c2f0cc217525cb029)
+++ server/mail/postfix.xml	(revision 85506b2de49f913cad48e19a006793a2b2fa78f4)
@@ -7,7 +7,7 @@
   <!ENTITY postfix-download-http " ">
   <!ENTITY postfix-download-ftp  "ftp://ftp.porcupine.org/mirrors/postfix-release/official/postfix-&postfix-version;.tar.gz">
-  <!ENTITY postfix-md5sum        "a4d1b2df03a500cf8f9759d5fca1c1f6">
-  <!ENTITY postfix-size          "4.4 MB">
-  <!ENTITY postfix-buildsize     "220 MB">
+  <!ENTITY postfix-md5sum        "75cfd03f0cf4c35876d630d2a04bd6f4">
+  <!ENTITY postfix-size          "4.5 MB">
+  <!ENTITY postfix-buildsize     "224 MB">
   <!ENTITY postfix-time          "0.2 SBU (Using parallelism=4)">
 ]>
@@ -364,5 +364,5 @@
         Create (or append to an existing) <filename>/etc/aliases</filename>
         with the following command. Change
-        <replaceable>&lt;LOGIN&gt;</replaceable> for your non-root login
+        <replaceable>&lt;LOGIN&gt;</replaceable> to your non-root login
         identity so mail addressed to
         <systemitem class="username">root</systemitem> can be forwarded to you.
Index: x/lib/gdk-pixbuf.xml
===================================================================
--- x/lib/gdk-pixbuf.xml	(revision 60b2296f8f7166bc408cbb8c2f0cc217525cb029)
+++ x/lib/gdk-pixbuf.xml	(revision 85506b2de49f913cad48e19a006793a2b2fa78f4)
@@ -9,7 +9,7 @@
   <!ENTITY gdk-pixbuf-download-ftp
            "&gnome-download-ftp;/gdk-pixbuf/2.42/gdk-pixbuf-&gdk-pixbuf-version;.tar.xz">
-  <!ENTITY gdk-pixbuf-md5sum        "628e4767d1636a06dea5b0fa4838f723">
-  <!ENTITY gdk-pixbuf-size          "7.2 MB">
-  <!ENTITY gdk-pixbuf-buildsize     "70 MB (with tests)">
+  <!ENTITY gdk-pixbuf-md5sum        "7cd2fdaa3c55e2302316fe36968f7425">
+  <!ENTITY gdk-pixbuf-size          "7.4 MB">
+  <!ENTITY gdk-pixbuf-buildsize     "71 MB (with tests)">
   <!ENTITY gdk-pixbuf-time          "0.2 SBU (Using parallelism=4; with tests)">
 ]>
@@ -101,5 +101,6 @@
     <para role="optional">
        <!--<xref linkend="jasper"/> and-->
-      <xref linkend="gtk-doc"/>
+      <xref linkend="gtk-doc"/> and
+      <ulink url="https://gitlab.gnome.org/ebassi/gi-docgen">gi-docgen</ulink>
     </para>
 
@@ -120,5 +121,5 @@
 cd build &amp;&amp;
 
-meson --prefix=/usr .. &amp;&amp;
+meson --prefix=/usr -Dgtk_doc=false .. &amp;&amp;
 ninja</userinput></screen>
 
@@ -153,4 +154,5 @@
       <application>GTK-Doc</application> is installed and you wish to rebuild
       and install the API documentation.
+      <!-- -Dgtk_doc is set to "yield=true" in meson_options.txt -->
     </para>
 <!-- Removed in 2.42.0