Index: general.ent
===================================================================
--- general.ent	(revision 911d4c7485d5b472ee219f17a3eb355d3f9cf6f2)
+++ general.ent	(revision 86698d8f85da8f4abe51cb83a5471912ec0b1327)
@@ -1,3 +1,3 @@
-<!ENTITY day          "10">
+<!ENTITY day          "11">
 <!ENTITY month        "08">
 <!ENTITY year         "2004">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 911d4c7485d5b472ee219f17a3eb355d3f9cf6f2)
+++ introduction/welcome/changelog.xml	(revision 86698d8f85da8f4abe51cb83a5471912ec0b1327)
@@ -23,6 +23,9 @@
 <itemizedlist>
 
+<listitem><para>August 11th, 2004 [randy]: Added gcc34 patch and
+optional dependencies to SDL.</para></listitem>
+
 <listitem><para>August 10th, 2004 [randy]: Added patches to 
-CDParanoia to build against LFS-6.0; updated LAME to 3.96.1.</para></listitem>
+CDParanoia to build against LFS-6.0; updated to LAME-3.96.1.</para></listitem>
 
 <listitem><para>August 8th, 2004 [randy]: Minor corrections to 
Index: multimedia/libdriv/sdl.xml
===================================================================
--- multimedia/libdriv/sdl.xml	(revision 911d4c7485d5b472ee219f17a3eb355d3f9cf6f2)
+++ multimedia/libdriv/sdl.xml	(revision 86698d8f85da8f4abe51cb83a5471912ec0b1327)
@@ -3,5 +3,5 @@
   <!ENTITY % general-entities SYSTEM "../../general.ent">
   %general-entities;
- 
+
   <!ENTITY SDL-download-http "http://www.libsdl.org/release/SDL-&SDL-version;.tar.gz">
   <!ENTITY SDL-download-ftp  " ">
@@ -21,7 +21,8 @@
 <title>Introduction to <application><acronym>SDL</acronym></application></title>
 
-<para>The Simple DirectMedia Layer (<application><acronym>SDL</acronym>
-</application> for short) is a cross-platform library designed to make it easy 
-to write multimedia software, such as games and emulators.</para>
+<para>The Simple DirectMedia Layer 
+(<application><acronym>SDL</acronym></application> for short) is a 
+cross-platform library designed to make it easy to write multimedia software, 
+such as games and emulators.</para>
 
 <sect3><title>Package information</title>
@@ -34,5 +35,14 @@
 </sect3>
 
-<sect3><title><application><acronym>SDL</acronym></application> dependencies</title>
+<sect3><title>Additional downloads</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Required Patch (if compiled using 
+<application>GCC</application>-3.4.x): 
+<ulink url="&patch-root;/SDL-&SDL-version;-gcc34-1.patch"/></para>
+</listitem>
+</itemizedlist></sect3>
+
+<sect3><title><application><acronym>SDL</acronym></application> 
+dependencies</title>
 <sect4><title>Optional</title>
 <para>
@@ -44,6 +54,9 @@
 X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
 <xref linkend="aalib"/>,
-<xref linkend="DirectFB"/> and
-<xref linkend="SVGAlib"/>
+<xref linkend="DirectFB"/>, 
+<xref linkend="SVGAlib"/>, 
+<ulink url="http://www.gnu.org/software/pth/">GNU Pth</ulink>, 
+<ulink url="http://www.trolltech.com/download/qtopia/">Qtopia</ulink> and 
+<ulink url="http://picogui.org/">PicoGUI</ulink>
 </para></sect4>
 </sect3>
@@ -54,7 +67,9 @@
 <title>Installation of <application><acronym>SDL</acronym></application></title>
 
-<para>Install <application><acronym>SDL</acronym></application> by running the following commands:</para>
+<para>Install <application><acronym>SDL</acronym></application> by running the 
+following commands:</para>
 
-<screen><userinput><command>./configure --prefix=/usr --disable-debug &amp;&amp;
+<screen><userinput><command>patch -Np1 -i ../SDL-&SDL-version;-gcc34-1.patch &amp;&amp;
+./configure --prefix=/usr --disable-debug &amp;&amp;
 make &amp;&amp;
 make install</command></userinput></screen>
@@ -65,9 +80,9 @@
 <title>Command explanations</title>
 
-<para><parameter>--disable-debug</parameter>: This switch configures
+<para><option>--disable-debug</option>: This switch configures
 <application><acronym>SDL</acronym></application> to build with aggressive 
 optimizations.</para>
 
-<para><parameter>--enable-video-aalib</parameter>: This switch
+<para><option>--enable-video-aalib</option>: This switch
 is required to build <application><acronym>SDL</acronym></application>
 with <acronym>AA</acronym>lib video support.</para>
@@ -80,5 +95,5 @@
 <sect3><title>Configuration Information</title>
 
-<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="../../lib-config.xml"/>    
+<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="../../lib-config.xml"/>
 
 </sect3>
@@ -90,5 +105,5 @@
 
 <para>The <application><acronym>SDL</acronym></application> package contains 
-the <userinput>Simple DirectMedia Layer</userinput>.</para>
+the <userinput>Simple DirectMedia Layer</userinput> libraries.</para>
 
 </sect2>
@@ -98,6 +113,7 @@
 <sect3><title>Simple DirectMedia Layer</title>
 <para>The Simple DirectMedia Layer is a generic <acronym>API</acronym> that 
-provides low level access to audio, keyboard, mouse, joystick, 3D hardware via 
-OpenGL, and 2D frame buffer across multiple platforms.</para></sect3>
+provides low level access to audio, keyboard, mouse, joystick, 
+<acronym>3D</acronym> hardware via OpenGL, and <acronym>2D</acronym> frame 
+buffer across multiple platforms.</para></sect3>
 
 </sect2>