Index: general/genlib/gsl.xml
===================================================================
--- general/genlib/gsl.xml	(revision 124f752cf71f771f7c8cf87f1bcfd7dfdc0ce1c6)
+++ general/genlib/gsl.xml	(revision 86918e9e4ceb2d9d6d8d5ba3cf39ce8f8c4e93dc)
@@ -9,8 +9,8 @@
   <!ENTITY gsl-download-ftp
     "ftp://ftp.gnu.org/pub/gnu/gsl/gsl-&gsl-version;.tar.gz">
-  <!ENTITY gsl-md5sum        "3d90650b7cfe0a6f4b29c2d7b0f86458">
+  <!ENTITY gsl-md5sum        "905fcbbb97bc552d1037e34d200931a0">
   <!ENTITY gsl-size          "4.3 MB">
-  <!ENTITY gsl-buildsize     "211 MB (with tests)">
-  <!ENTITY gsl-time          "1.8 SBU (with tests)">
+  <!ENTITY gsl-buildsize     "188 MB (with tests)">
+  <!ENTITY gsl-time          "1.9 SBU (with tests)">
 ]>
 
@@ -95,7 +95,5 @@
 
 <screen><userinput>./configure --prefix=/usr --disable-static &amp;&amp;
-
-make &amp;&amp;
-
+make                                       &amp;&amp;
 make html</userinput></screen>
 
Index: general/graphlib/jasper.xml
===================================================================
--- general/graphlib/jasper.xml	(revision 124f752cf71f771f7c8cf87f1bcfd7dfdc0ce1c6)
+++ general/graphlib/jasper.xml	(revision 86918e9e4ceb2d9d6d8d5ba3cf39ce8f8c4e93dc)
@@ -7,7 +7,7 @@
   <!ENTITY jasper-download-http "http://www.ece.uvic.ca/~frodo/jasper/software/jasper-&jasper-version;.tar.gz">
   <!ENTITY jasper-download-ftp  " ">
-  <!ENTITY jasper-md5sum        "ae52fd9d6419159c06fb2401dfec2a54">
+  <!ENTITY jasper-md5sum        "cebd4d423995521b6d65a19ac3851922">
   <!ENTITY jasper-size          "1.6 MB">
-  <!ENTITY jasper-buildsize     "17 MB (with tests)">
+  <!ENTITY jasper-buildsize     "20 MB (with tests)">
   <!ENTITY jasper-time          "0.3 SBU (with tests)">
 ]>
@@ -67,5 +67,6 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="freeglut"/> (required for <command>jiv</command>),
+      <xref linkend="freeglut"/> (required for <command>jiv</command>, see
+        Command Explanations below),
       <xref linkend="doxygen"/> (needed for generating html documentation), and
       <xref linkend="texlive"/> (needed to regnerate the pdf documention)
@@ -83,7 +84,7 @@
 cd    BUILD &amp;&amp;
 
-cmake -DCMAKE_INSTALL_PREFIX=/usr           \
-      -DCMAKE_BUILD_TYPE=Release            \
-      -DCMAKE_SKIP_INSTALL_RPATH=YES        \
+cmake -DCMAKE_INSTALL_PREFIX=/usr    \
+      -DCMAKE_BUILD_TYPE=Release     \
+      -DCMAKE_SKIP_INSTALL_RPATH=YES \
       ..  &amp;&amp;
 make</userinput></screen>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 124f752cf71f771f7c8cf87f1bcfd7dfdc0ce1c6)
+++ introduction/welcome/changelog.xml	(revision 86918e9e4ceb2d9d6d8d5ba3cf39ce8f8c4e93dc)
@@ -47,4 +47,16 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to jasper-2.0.6. Fixes
+          <ulink url="&blfs-ticket-root;8630">#8630</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gsl-2.3. Fixes
+          <ulink url="&blfs-ticket-root;8627">#8627</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gnutls-3.5.7. Fixes
+          <ulink url="&blfs-ticket-root;8625">#8625</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[ken] - Reduce the old Xorg fonts to just Type1 and ttf,
           with (only) the adobe 100dpi bitmap fonts plus old libXfont and
Index: packages.ent
===================================================================
--- packages.ent	(revision 124f752cf71f771f7c8cf87f1bcfd7dfdc0ce1c6)
+++ packages.ent	(revision 86918e9e4ceb2d9d6d8d5ba3cf39ce8f8c4e93dc)
@@ -14,5 +14,5 @@
 <!ENTITY cyrus-sasl-version           "2.1.26">
 <!ENTITY gnupg2-version               "2.1.16">
-<!ENTITY gnutls-version               "3.5.6">
+<!ENTITY gnutls-version               "3.5.7">
 <!ENTITY gpgme-version                "1.8.0">
 <!ENTITY haveged-version              "1.9.1">
@@ -99,5 +99,5 @@
 <!ENTITY gobject-introspection-version "1.50.0">
 <!ENTITY grantlee-version             "5.1.0">
-<!ENTITY gsl-version                  "2.2.1">
+<!ENTITY gsl-version                  "2.3">
 
 <!ENTITY icu-major                    "58">
@@ -183,5 +183,5 @@
 <!ENTITY harfbuzz-version             "1.3.4">
 <!ENTITY ijs-version                  "0.35">
-<!ENTITY jasper-version               "2.0.0">
+<!ENTITY jasper-version               "2.0.6">
 <!ENTITY lcms-version                 "1.19">
 <!ENTITY lcms2-version                "2.8">
Index: postlfs/security/gnutls.xml
===================================================================
--- postlfs/security/gnutls.xml	(revision 124f752cf71f771f7c8cf87f1bcfd7dfdc0ce1c6)
+++ postlfs/security/gnutls.xml	(revision 86918e9e4ceb2d9d6d8d5ba3cf39ce8f8c4e93dc)
@@ -7,8 +7,8 @@
   <!ENTITY gnutls-download-http " ">
   <!ENTITY gnutls-download-ftp  "ftp://ftp.gnutls.org/gcrypt/gnutls/v3.5/gnutls-&gnutls-version;.tar.xz">
-  <!ENTITY gnutls-md5sum        "7a38b23757aae009c3eb5bb12fb0afda">
-  <!ENTITY gnutls-size          "6.8 MB">
-  <!ENTITY gnutls-buildsize     "119 MB (add 40 MB for tests)">
-  <!ENTITY gnutls-time          "1.5 SBU (add 8.4 SBU for tests)">
+  <!ENTITY gnutls-md5sum        "08ad2c539bc1d91283f610539deef34e">
+  <!ENTITY gnutls-size          "6.9 MB">
+  <!ENTITY gnutls-buildsize     "125 MB (add 40 MB for tests)">
+  <!ENTITY gnutls-time          "1.6 SBU (add 8.5 SBU for tests)">
 ]>
 